GNU bug report logs - #37530
26.1; Tack characters translated incorrectly

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Axel Svensson <mail@HIDDEN>; dated Thu, 26 Sep 2019 21:33:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 37530 <at> debbugs.gnu.org:


Received: (at 37530) by debbugs.gnu.org; 27 Sep 2019 15:30:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 27 11:30:41 2019
Received: from localhost ([127.0.0.1]:48451 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iDsCe-0003uf-R3
	for submit <at> debbugs.gnu.org; Fri, 27 Sep 2019 11:30:41 -0400
Received: from eggs.gnu.org ([209.51.188.92]:51194)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1iDsCd-0003nN-12
 for 37530 <at> debbugs.gnu.org; Fri, 27 Sep 2019 11:30:39 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:43675)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1iDsCX-0005nd-Kd; Fri, 27 Sep 2019 11:30:33 -0400
Received: from [176.228.60.248] (port=2441 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1iDsCW-0000xx-Qz; Fri, 27 Sep 2019 11:30:33 -0400
Date: Fri, 27 Sep 2019 18:30:21 +0300
Message-Id: <83v9tdiwoi.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Axel Svensson <mail@HIDDEN>
In-reply-to: <CAJ40yax-992MA_2qn_TuumiGJSVVU3-kZGofrJS-wkWpaSDMMw@HIDDEN>
 (message from Axel Svensson on Fri, 27 Sep 2019 16:48:46 +0200)
Subject: Re: bug#37530: 26.1; Tack characters translated incorrectly
References: <CAJ40yayVXzDjgptThaVZNijFOxK_h8f_QvL6E0JGJzZRq_HuRA@HIDDEN>
 <83zhiqjom4.fsf@HIDDEN> <87muepq2z5.fsf@HIDDEN>
 <CAJ40yay61yAKJT38vJ8tP5Er8FfiNv++Nt=jLUyjxiK7xxK8uw@HIDDEN>
 <831rw1ke9n.fsf@HIDDEN>
 <CAJ40yax-992MA_2qn_TuumiGJSVVU3-kZGofrJS-wkWpaSDMMw@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 37530
Cc: larsi@HIDDEN, 37530 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Axel Svensson <mail@HIDDEN>
> Date: Fri, 27 Sep 2019 16:48:46 +0200
> Cc: Lars Ingebrigtsen <larsi@HIDDEN>, 37530 <at> debbugs.gnu.org
> 
> On Fri, Sep 27, 2019 at 4:25 PM Eli Zaretskii <eliz@HIDDEN> wrote:
> > Do we know, or can find out, since what version of X are these
> > mappings in effect?  I think we should consider whether the version
> > where this appeared is old enough for us to use this unconditionally.
> 
> Otherwise, what condition should there be to use them, and why?
> If a key event arrives with these keysyms, what else could they possibly mean?

I thought that older versions might perhaps assign different mappings
to the same keysyms.  If they don't assign any mappings, then I agree
with you.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37530; Package emacs. Full text available.

Message received at 37530 <at> debbugs.gnu.org:


Received: (at 37530) by debbugs.gnu.org; 27 Sep 2019 14:58:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 27 10:58:06 2019
Received: from localhost ([127.0.0.1]:48370 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iDrh7-00066e-Vw
	for submit <at> debbugs.gnu.org; Fri, 27 Sep 2019 10:58:06 -0400
Received: from wout4-smtp.messagingengine.com ([64.147.123.20]:44001)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1iDrh5-00065R-O7
 for 37530 <at> debbugs.gnu.org; Fri, 27 Sep 2019 10:58:04 -0400
Received: from compute7.internal (compute7.nyi.internal [10.202.2.47])
 by mailout.west.internal (Postfix) with ESMTP id 309366D3
 for <37530 <at> debbugs.gnu.org>; Fri, 27 Sep 2019 10:57:58 -0400 (EDT)
Received: from mailfrontend2 ([10.202.2.163])
 by compute7.internal (MEProxy); Fri, 27 Sep 2019 10:57:58 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm3; bh=CfBNcs
 HAZCL+upeTuG4najhGqUkHOLNKi5/iZdAsypE=; b=bZmRWBPa1oNtBBo6DvSkSu
 pxk1Q6S2IJH5O9m6PT5YJqS0kPWisA1bTZR9uGzMJ8SndgEblgAea9B0ASOZWBjx
 QlmfNKWk9JA/dUh48IBi5dSjmjzBY5lwMFi92WWYVradch0mijfgqDP1plXwJ10B
 oMIjny/uuAxvX+Yi/wreZi9gMvMvEz49W+/814rJT25zv6xSAicmcqkgtJh2J+ec
 OgWsZ4Ys4Bwcp3y5p4ssTtJ0m1gaTMm1m1sq0i65yvZ7JM2iLh6DbIzKvzWDsPnL
 SGhdmulSUj/Sdl7dq9JLTvhQ0808cc5O+SRCTAXzB5O+Oag8DypkOYiGci2MECVA
 ==
X-ME-Sender: <xms:dSOOXfTwenNV5Siwrz1iE4pyms0-u8z4anBDb-cjc365LyTxv_Jtww>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedufedrfeeigdekudcutefuodetggdotefrodftvf
 curfhrohhfihhlvgemucfhrghsthforghilhdpqfgfvfdpuffrtefokffrpgfnqfghnecu
 uegrihhlohhuthemuceftddtnecusecvtfgvtghiphhivghnthhsucdlqddutddtmdenuc
 fjughrpeggfhgjhfffkffuvfgtsehttdertddttdejnecuhfhrohhmpeetgigvlhcuufhv
 vghnshhsohhnuceomhgrihhlsegrgigvlhhsvhgvnhhsshhonhdrtghomheqnecukfhppe
 dvtdelrdekhedrudeijedrudejkeenucfrrghrrghmpehmrghilhhfrhhomhepmhgrihhl
 segrgigvlhhsvhgvnhhsshhonhdrtghomhenucevlhhushhtvghrufhiiigvpedt
X-ME-Proxy: <xmx:dSOOXSBEmQQHnNGW-F0BDVFTxJBvZrYNZlhleFsigXKPTPSCRDc5zw>
 <xmx:dSOOXR4fCdFaN-skFqJowCRMZydIpYz_oI1f9t5EdXuOhyUgrBKxAA>
 <xmx:dSOOXSA2o7mCZUp9Qbu1JzItdEMkYuohS1pF0jhB3Ql5hhmZeoJm7g>
 <xmx:dSOOXTzrLdJGaL47kYysHtNUtGVxDA2UBGMEdmNoUSB6WDv2Oq6tpA>
Received: from mail-oi1-f178.google.com (mail-oi1-f178.google.com
 [209.85.167.178])
 by mail.messagingengine.com (Postfix) with ESMTPA id 87F2FD60065
 for <37530 <at> debbugs.gnu.org>; Fri, 27 Sep 2019 10:57:57 -0400 (EDT)
Received: by mail-oi1-f178.google.com with SMTP id 83so5463964oii.1
 for <37530 <at> debbugs.gnu.org>; Fri, 27 Sep 2019 07:57:57 -0700 (PDT)
X-Gm-Message-State: APjAAAWYyP0YU6O5XcwhWdC2/5w/gW+kFu6BlDVyp1jXZPmyTtujuX77
 rrZt2SFsD80nLIMGKrl9py90VJcebz/y1nR158g=
X-Google-Smtp-Source: APXvYqwRE+DQpiQHp6t2llSxRuCLzePD10bTK7TDDXqxXaEUgTk3VbA8rXxHtgyWLXD0SkIEvqEtoumBXHV7GTH3Qwc=
X-Received: by 2002:aca:d694:: with SMTP id n142mr7549969oig.69.1569596277060; 
 Fri, 27 Sep 2019 07:57:57 -0700 (PDT)
MIME-Version: 1.0
References: <CAJ40yayVXzDjgptThaVZNijFOxK_h8f_QvL6E0JGJzZRq_HuRA@HIDDEN>
 <83zhiqjom4.fsf@HIDDEN> <87muepq2z5.fsf@HIDDEN>
 <CAJ40yay61yAKJT38vJ8tP5Er8FfiNv++Nt=jLUyjxiK7xxK8uw@HIDDEN>
 <87ef01om8i.fsf@HIDDEN>
In-Reply-To: <87ef01om8i.fsf@HIDDEN>
From: Axel Svensson <mail@HIDDEN>
Date: Fri, 27 Sep 2019 16:57:45 +0200
X-Gmail-Original-Message-ID: <CAJ40yazjGz_S5k8mjXc_4fw2-DAzTJ_QPAsAw2xphPu3UfsoeA@HIDDEN>
Message-ID: <CAJ40yazjGz_S5k8mjXc_4fw2-DAzTJ_QPAsAw2xphPu3UfsoeA@HIDDEN>
Subject: Re: bug#37530: 26.1; Tack characters translated incorrectly
To: Lars Ingebrigtsen <larsi@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 37530
Cc: Eli Zaretskii <eliz@HIDDEN>, 37530 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Fri, Sep 27, 2019 at 4:19 PM Lars Ingebrigtsen <larsi@HIDDEN> wrote:
> #define XKB_KEY_leftanglebracket              0x0abc  /*(U+27E8 MATHEMATICAL LEFT ANGLE BRACKET)*/
> #define XKB_KEY_rightanglebracket             0x0abe  /*(U+27E9 MATHEMATICAL RIGHT ANGLE BRACKET)*/
>
> Does your xkeysyms have this differently?

No, my bad.

In summary, these are the changes I believe should be made:

#define XKB_KEY_Ukrainian_ghe_with_upturn     0x06ad  /* U+0491
CYRILLIC SMALL LETTER GHE WITH UPTURN */
#define XKB_KEY_Ukrainian_GHE_WITH_UPTURN     0x06bd  /* U+0490
CYRILLIC CAPITAL LETTER GHE WITH UPTURN */
#define XKB_KEY_signifblank                   0x0aac  /*(U+2423 OPEN BOX)*/
#define XKB_KEY_leftanglebracket              0x0abc  /*(U+27E8
MATHEMATICAL LEFT ANGLE BRACKET)*/
#define XKB_KEY_decimalpoint                  0x0abd  /*(U+002E FULL STOP)*/
#define XKB_KEY_rightanglebracket             0x0abe  /*(U+27E9
MATHEMATICAL RIGHT ANGLE BRACKET)*/
#define XKB_KEY_permille                      0x0ad5  /* U+2030 PER
MILLE SIGN */
#define XKB_KEY_downtack                      0x0bc2  /* U+22A4 DOWN TACK */
#define XKB_KEY_uptack                        0x0bce  /* U+22A5 UP TACK */
#define XKB_KEY_lefttack                      0x0bdc  /* U+22A3 LEFT TACK */
#define XKB_KEY_righttack                     0x0bfc  /* U+22A2 RIGHT TACK */

Also, I found another discrepancy that seems like an error on XKB side:

#define XKB_KEY_approxeq                   0x1002248  /* U+2245 ALMOST
EQUAL TO */




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37530; Package emacs. Full text available.

Message received at 37530 <at> debbugs.gnu.org:


Received: (at 37530) by debbugs.gnu.org; 27 Sep 2019 14:49:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 27 10:49:06 2019
Received: from localhost ([127.0.0.1]:48339 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iDrYQ-0005iV-M5
	for submit <at> debbugs.gnu.org; Fri, 27 Sep 2019 10:49:06 -0400
Received: from wout4-smtp.messagingengine.com ([64.147.123.20]:49313)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1iDrYP-0005hu-2j
 for 37530 <at> debbugs.gnu.org; Fri, 27 Sep 2019 10:49:05 -0400
Received: from compute7.internal (compute7.nyi.internal [10.202.2.47])
 by mailout.west.internal (Postfix) with ESMTP id 52BE239D
 for <37530 <at> debbugs.gnu.org>; Fri, 27 Sep 2019 10:48:59 -0400 (EDT)
Received: from mailfrontend2 ([10.202.2.163])
 by compute7.internal (MEProxy); Fri, 27 Sep 2019 10:48:59 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm3; bh=cy7ekV
 HDPGWvpLVPfAwyi79z+aJa0NmSEEToBeoJDzo=; b=Q6COicrWz3LkLsUuOURWfJ
 Zbw4YavNVvHdl3Zi4fFpm8gMrKjRfxrb3IrKR5dJbmGAogSkG7rXpTgXudUVL1Q5
 BuxNwmFUky/41vQDwCL/HQc8wSjs3Jl7vS0CiawvXWyb2T59FJEvEd5EtUmGX6AD
 BJVxmxfXmtDKNV+T0m8LN9fpuC7ZdtasI3qjeB6YLCe62+j3AYyiecXpz2Fp10fV
 vN/YoD5vtm9tMcqIeSW+/mqasA0v+YbHEFDuaTvDC2hLS9iWO3/AgbJ4KLm41ov6
 GgVxg0GBn7r8CgL3j5rqVccKCVHVCYHj0GOrJo29BxoTDcJQIoHD/rMIb804weRA
 ==
X-ME-Sender: <xms:WiGOXZoTW-rPaFDCXbGYG1StV9jliYpPmYe7O9rMRoG9PfBYQCPHqQ>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedufedrfeeigdejlecutefuodetggdotefrodftvf
 curfhrohhfihhlvgemucfhrghsthforghilhdpqfgfvfdpuffrtefokffrpgfnqfghnecu
 uegrihhlohhuthemuceftddtnecusecvtfgvtghiphhivghnthhsucdlqddutddtmdenuc
 fjughrpeggfhgjhfffkffuvfgtsehttdertddttdejnecuhfhrohhmpeetgigvlhcuufhv
 vghnshhsohhnuceomhgrihhlsegrgigvlhhsvhgvnhhsshhonhdrtghomheqnecukfhppe
 dvtdelrdekhedrvddutddrgeefnecurfgrrhgrmhepmhgrihhlfhhrohhmpehmrghilhes
 rgigvghlshhvvghnshhsohhnrdgtohhmnecuvehluhhsthgvrhfuihiivgeptd
X-ME-Proxy: <xmx:WiGOXTQtEzJ0rgL1wSss_1e7Qf86g-Vm48ovJbZvfC90eU1AP9l5bA>
 <xmx:WiGOXWb-f2aPwmGPuckvR6kRmJRzW8UVEbr3fVh5HaLbLdStlmFsXA>
 <xmx:WiGOXc7a2AMKP1w5wigqShl5FkT_SdwdzNmpNEiCtLJUrNv2aloEjg>
 <xmx:WiGOXWE9JdIWhM25VX9oKQ3Br9_xp_S3Sm-ACvXw4hZoAu-f_IdjEg>
Received: from mail-ot1-f43.google.com (mail-ot1-f43.google.com
 [209.85.210.43])
 by mail.messagingengine.com (Postfix) with ESMTPA id 700DFD6005F
 for <37530 <at> debbugs.gnu.org>; Fri, 27 Sep 2019 10:48:58 -0400 (EDT)
Received: by mail-ot1-f43.google.com with SMTP id 41so2429751oti.12
 for <37530 <at> debbugs.gnu.org>; Fri, 27 Sep 2019 07:48:58 -0700 (PDT)
X-Gm-Message-State: APjAAAV94zzeVDtqn9Qr92PKmbfRZokk990dEWN8/xMWDWMCy737+o/p
 JVLn6GKN17PhZm0BX2O9wQSxGuGnXN6drt8PhPM=
X-Google-Smtp-Source: APXvYqw9kMi62mkfr21DK1erQ4Q8Gikx4y6W/8L83pGeX5crB0jnEwCfjL33q74oh416OMIqfESlJd2EYloR2HMpNyA=
X-Received: by 2002:a9d:5f09:: with SMTP id f9mr3608263oti.341.1569595738002; 
 Fri, 27 Sep 2019 07:48:58 -0700 (PDT)
MIME-Version: 1.0
References: <CAJ40yayVXzDjgptThaVZNijFOxK_h8f_QvL6E0JGJzZRq_HuRA@HIDDEN>
 <83zhiqjom4.fsf@HIDDEN> <87muepq2z5.fsf@HIDDEN>
 <CAJ40yay61yAKJT38vJ8tP5Er8FfiNv++Nt=jLUyjxiK7xxK8uw@HIDDEN>
 <831rw1ke9n.fsf@HIDDEN>
In-Reply-To: <831rw1ke9n.fsf@HIDDEN>
From: Axel Svensson <mail@HIDDEN>
Date: Fri, 27 Sep 2019 16:48:46 +0200
X-Gmail-Original-Message-ID: <CAJ40yax-992MA_2qn_TuumiGJSVVU3-kZGofrJS-wkWpaSDMMw@HIDDEN>
Message-ID: <CAJ40yax-992MA_2qn_TuumiGJSVVU3-kZGofrJS-wkWpaSDMMw@HIDDEN>
Subject: Re: bug#37530: 26.1; Tack characters translated incorrectly
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 37530
Cc: Lars Ingebrigtsen <larsi@HIDDEN>, 37530 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Fri, Sep 27, 2019 at 4:25 PM Eli Zaretskii <eliz@HIDDEN> wrote:
> Do we know, or can find out, since what version of X are these
> mappings in effect?  I think we should consider whether the version
> where this appeared is old enough for us to use this unconditionally.

Otherwise, what condition should there be to use them, and why?
If a key event arrives with these keysyms, what else could they possibly mean?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37530; Package emacs. Full text available.

Message received at 37530 <at> debbugs.gnu.org:


Received: (at 37530) by debbugs.gnu.org; 27 Sep 2019 14:25:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 27 10:25:52 2019
Received: from localhost ([127.0.0.1]:48279 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iDrBw-0000cU-6d
	for submit <at> debbugs.gnu.org; Fri, 27 Sep 2019 10:25:52 -0400
Received: from eggs.gnu.org ([209.51.188.92]:38781)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1iDrBu-0000c8-TV
 for 37530 <at> debbugs.gnu.org; Fri, 27 Sep 2019 10:25:51 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:42172)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1iDrBp-0004mc-MT; Fri, 27 Sep 2019 10:25:45 -0400
Received: from [176.228.60.248] (port=2376 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1iDrBl-0007Gp-IB; Fri, 27 Sep 2019 10:25:45 -0400
Date: Fri, 27 Sep 2019 17:25:08 +0300
Message-Id: <831rw1ke9n.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Axel Svensson <mail@HIDDEN>
In-reply-to: <CAJ40yay61yAKJT38vJ8tP5Er8FfiNv++Nt=jLUyjxiK7xxK8uw@HIDDEN>
 (message from Axel Svensson on Fri, 27 Sep 2019 16:10:20 +0200)
Subject: Re: bug#37530: 26.1; Tack characters translated incorrectly
References: <CAJ40yayVXzDjgptThaVZNijFOxK_h8f_QvL6E0JGJzZRq_HuRA@HIDDEN>
 <83zhiqjom4.fsf@HIDDEN> <87muepq2z5.fsf@HIDDEN>
 <CAJ40yay61yAKJT38vJ8tP5Er8FfiNv++Nt=jLUyjxiK7xxK8uw@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 37530
Cc: larsi@HIDDEN, 37530 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Axel Svensson <mail@HIDDEN>
> Date: Fri, 27 Sep 2019 16:10:20 +0200
> Cc: Eli Zaretskii <eliz@HIDDEN>, 37530 <at> debbugs.gnu.org
> 
> I found three more keysyms missing:
> #define XKB_KEY_Ukrainian_ghe_with_upturn     0x06ad  /* U+0491
> CYRILLIC SMALL LETTER GHE WITH UPTURN */
> #define XKB_KEY_Ukrainian_GHE_WITH_UPTURN     0x06bd  /* U+0490
> CYRILLIC CAPITAL LETTER GHE WITH UPTURN */
> #define XKB_KEY_permille                      0x0ad5  /* U+2030 PER
> MILLE SIGN */
> This is according to
> https://github.com/xkbcommon/libxkbcommon/blob/master/xkbcommon/xkbcommon-keysyms.h

Do we know, or can find out, since what version of X are these
mappings in effect?  I think we should consider whether the version
where this appeared is old enough for us to use this unconditionally.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37530; Package emacs. Full text available.

Message received at 37530 <at> debbugs.gnu.org:


Received: (at 37530) by debbugs.gnu.org; 27 Sep 2019 14:19:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 27 10:19:32 2019
Received: from localhost ([127.0.0.1]:48262 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iDr5n-0000L7-VH
	for submit <at> debbugs.gnu.org; Fri, 27 Sep 2019 10:19:32 -0400
Received: from quimby.gnus.org ([80.91.231.51]:60384)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1iDr5l-0000Ky-L7
 for 37530 <at> debbugs.gnu.org; Fri, 27 Sep 2019 10:19:30 -0400
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=marnie)
 by quimby.gnus.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.89) (envelope-from <larsi@HIDDEN>)
 id 1iDr5i-0002LS-0g; Fri, 27 Sep 2019 16:19:28 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Axel Svensson <mail@HIDDEN>
Subject: Re: bug#37530: 26.1; Tack characters translated incorrectly
References: <CAJ40yayVXzDjgptThaVZNijFOxK_h8f_QvL6E0JGJzZRq_HuRA@HIDDEN>
 <83zhiqjom4.fsf@HIDDEN> <87muepq2z5.fsf@HIDDEN>
 <CAJ40yay61yAKJT38vJ8tP5Er8FfiNv++Nt=jLUyjxiK7xxK8uw@HIDDEN>
Date: Fri, 27 Sep 2019 16:19:25 +0200
In-Reply-To: <CAJ40yay61yAKJT38vJ8tP5Er8FfiNv++Nt=jLUyjxiK7xxK8uw@HIDDEN>
 (Axel Svensson's message of "Fri, 27 Sep 2019 16:10:20 +0200")
Message-ID: <87ef01om8i.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 
 Content preview:  Axel Svensson <mail@HIDDEN> writes: >> - (#xabc
   . ?〈) >> - (#xabe . ?〉) >> + (#xabc . ?⟨) >> + (#xabe . ?⟩) > > What
    is the source for this change? Why would you change > left/right-pointing
    brackets for the mathematical ones, i [...] 
 
 Content analysis details:   (-2.9 points, 5.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
                             [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37530
Cc: Eli Zaretskii <eliz@HIDDEN>, 37530 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Axel Svensson <mail@HIDDEN> writes:

>> -       (#xabc . ?=E2=8C=A9)
>> -       (#xabe . ?=E2=8C=AA)
>> +       (#xabc . ?=E2=9F=A8)
>> +       (#xabe . ?=E2=9F=A9)
>
> What is the source for this change? Why would you change
> left/right-pointing brackets for the mathematical ones, in the section
> for publishing?

Let's see...  it's this:

#define XKB_KEY_leftanglebracket              0x0abc  /*(U+27E8 MATHEMATICA=
L LEFT ANGLE BRACKET)*/
#define XKB_KEY_rightanglebracket             0x0abe  /*(U+27E9 MATHEMATICA=
L RIGHT ANGLE BRACKET)*/

Does your xkeysyms have this differently?

--=20
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37530; Package emacs. Full text available.

Message received at 37530 <at> debbugs.gnu.org:


Received: (at 37530) by debbugs.gnu.org; 27 Sep 2019 14:19:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 27 10:19:12 2019
Received: from localhost ([127.0.0.1]:48259 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iDr5U-0000KJ-LZ
	for submit <at> debbugs.gnu.org; Fri, 27 Sep 2019 10:19:12 -0400
Received: from wout4-smtp.messagingengine.com ([64.147.123.20]:37727)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1iDr5T-0000K1-18
 for 37530 <at> debbugs.gnu.org; Fri, 27 Sep 2019 10:19:11 -0400
Received: from compute7.internal (compute7.nyi.internal [10.202.2.47])
 by mailout.west.internal (Postfix) with ESMTP id 66FC26F7
 for <37530 <at> debbugs.gnu.org>; Fri, 27 Sep 2019 10:19:05 -0400 (EDT)
Received: from mailfrontend2 ([10.202.2.163])
 by compute7.internal (MEProxy); Fri, 27 Sep 2019 10:19:05 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm3; bh=m6qmYW
 xh67KHmgv/RKsZpYXmsExmTTx0BVJXW/NG+j4=; b=CqHTLTSCvmIaG/ONs2SYOo
 taXWuqxhc1tOE6FNTqcuneS+u9pOQZrv0fgUhOOjBwX6+uh6U8nwLMYehtktyJwu
 7z6077WXv3/8a0TcJesUaSkHmFjna54OBEQemUailPeQ/XzO5qtfIyfAkz0sD2mR
 5GK1hFkFYKzUHKvzNY6AKVYtAVDjdSlohkb3+cwMZiZ0tl0Smh/ZdNa/qBLZ60A+
 fJ+nnNmhkzU9ZDB3H2wTci2ptSD2SdzXUV7n57BR9NctWYgH2WK3xv4uaTkqfiKH
 t6Y+Dd+TvZs1etHtwnaEQDlNjWc9B2pU4GbWtsob+spAAwVVYvxNszCpBs6/hbEA
 ==
X-ME-Sender: <xms:WBqOXTkwDbrYlEts9MsKXpOCkkD7jHSTQnJzyaP5Dlq3B8cJ9xNjZQ>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedufedrfeeigdejfecutefuodetggdotefrodftvf
 curfhrohhfihhlvgemucfhrghsthforghilhdpqfgfvfdpuffrtefokffrpgfnqfghnecu
 uegrihhlohhuthemuceftddtnecusecvtfgvtghiphhivghnthhsucdlqddutddtmdenuc
 fjughrpeggfhgjhfffkffuvfgtsehttdertddttdejnecuhfhrohhmpeetgigvlhcuufhv
 vghnshhsohhnuceomhgrihhlsegrgigvlhhsvhgvnhhsshhonhdrtghomheqnecukfhppe
 dvtdelrdekhedrudeijedrudejtdenucfrrghrrghmpehmrghilhhfrhhomhepmhgrihhl
 segrgigvlhhsvhgvnhhsshhonhdrtghomhenucevlhhushhtvghrufhiiigvpedt
X-ME-Proxy: <xmx:WBqOXeaNDkrXIPFxlsDeWbdYnWe7CpXG5KCCjD1v1W_JCIoFEH2q7g>
 <xmx:WBqOXZQZYvpDdIh4Mm2sI5oNZkr-ZalmuBZOggg5HZpd-wi3cF7t_g>
 <xmx:WBqOXYU7416S_c1XMTWbIUphT57rRbkR1Vc8J-p4ssFSClCKm-G6RQ>
 <xmx:WRqOXZyAs2eAaQWUSpVFsGZ9mG7V89UeXGdEzSkurBo3nh1bNHLqtg>
Received: from mail-oi1-f170.google.com (mail-oi1-f170.google.com
 [209.85.167.170])
 by mail.messagingengine.com (Postfix) with ESMTPA id B7FF5D60057
 for <37530 <at> debbugs.gnu.org>; Fri, 27 Sep 2019 10:19:04 -0400 (EDT)
Received: by mail-oi1-f170.google.com with SMTP id w6so5296636oie.11
 for <37530 <at> debbugs.gnu.org>; Fri, 27 Sep 2019 07:19:04 -0700 (PDT)
X-Gm-Message-State: APjAAAU5Sh3HpPHmVh2we6U89djgUJ6bZkpmzT0RrM2omzolhyhXquh1
 ZgZsC8llfbWDDsadoLEKgIt1YyrO18tsGOr/ado=
X-Google-Smtp-Source: APXvYqzKkY3yOHDB6iBXBu+jgOo3YP34o64qAvBo7DpZBA+as4Tr6OI6nrkDUwxLVyuyhDXSZljLEXGzTi/oMgzc05s=
X-Received: by 2002:aca:170c:: with SMTP id j12mr6939583oii.141.1569593944285; 
 Fri, 27 Sep 2019 07:19:04 -0700 (PDT)
MIME-Version: 1.0
References: <CAJ40yayVXzDjgptThaVZNijFOxK_h8f_QvL6E0JGJzZRq_HuRA@HIDDEN>
 <83zhiqjom4.fsf@HIDDEN> <87muepq2z5.fsf@HIDDEN> <838sq9kg4r.fsf@HIDDEN>
 <878sq9q24o.fsf@HIDDEN> <834l0xkfgx.fsf@HIDDEN>
In-Reply-To: <834l0xkfgx.fsf@HIDDEN>
From: Axel Svensson <mail@HIDDEN>
Date: Fri, 27 Sep 2019 16:18:53 +0200
X-Gmail-Original-Message-ID: <CAJ40yawZYjBfEECDRnV-_OgOrtxa2cjBs_1=eKPQ6cC5LL6ECQ@HIDDEN>
Message-ID: <CAJ40yawZYjBfEECDRnV-_OgOrtxa2cjBs_1=eKPQ6cC5LL6ECQ@HIDDEN>
Subject: Re: bug#37530: 26.1; Tack characters translated incorrectly
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 37530
Cc: Lars Ingebrigtsen <larsi@HIDDEN>, 37530 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Fri, Sep 27, 2019 at 3:59 PM Eli Zaretskii <eliz@HIDDEN> wrote:
> > > I'd like someone to do the research and find out why Markus Kuhn's
> > > suggestions were changed.  I'd like also to state the source of the
> > > data and the information about the change reason(s) in x-win.el, where
> > > we have the mapping.
> >
> > If somebody wants to do that research, be my guest.  I don't see the
> > point -- this is the data the X server uses, so it's authoritative.
>
> I'd like to hear more opinions, please.
>

My opinion is that keysym mappings that aren't part of the
authoritative X11 source should still be added.

Motivation: IIUC, X11 clients primarily receive keysyms, not code
points. How the translation is done is then up to the application.
Many applications do this translation using an application-internal
mapping (like indeed Emacs is) without necessarily referring to
whatever is present on the OS. These mappings, drawing from several
sources, have few if any conflicts. Therefore, the sensible,
pragmatic, common and expected thing to do is to attempt to translate
them rather than ignore them, even if they aren't present in the
source files on the OS in question. If Emacs receives a key event with
a certain keysym, the user clearly expects the application to do
something with it.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37530; Package emacs. Full text available.

Message received at 37530 <at> debbugs.gnu.org:


Received: (at 37530) by debbugs.gnu.org; 27 Sep 2019 14:10:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 27 10:10:42 2019
Received: from localhost ([127.0.0.1]:48246 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iDqxG-0008TZ-1t
	for submit <at> debbugs.gnu.org; Fri, 27 Sep 2019 10:10:42 -0400
Received: from wout4-smtp.messagingengine.com ([64.147.123.20]:38615)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1iDqxD-0008TH-Ul
 for 37530 <at> debbugs.gnu.org; Fri, 27 Sep 2019 10:10:40 -0400
Received: from compute7.internal (compute7.nyi.internal [10.202.2.47])
 by mailout.west.internal (Postfix) with ESMTP id C877D68D
 for <37530 <at> debbugs.gnu.org>; Fri, 27 Sep 2019 10:10:33 -0400 (EDT)
Received: from mailfrontend1 ([10.202.2.162])
 by compute7.internal (MEProxy); Fri, 27 Sep 2019 10:10:33 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-transfer-encoding:content-type
 :date:from:in-reply-to:message-id:mime-version:references
 :subject:to:x-me-proxy:x-me-proxy:x-me-sender:x-me-sender
 :x-sasl-enc; s=fm3; bh=wJm90yqQxRY4qo7F752gN+A3mzNcit4NbBfanO7PC
 ws=; b=YY34rVGbLkzFDaSu0CPLtzXvmtftAF8H+Ir7iTNoX9iZwF2hzfVfepLsA
 G+8H+DjZRbfvi3ifB/gfD0HT7iwy+PQ2wA7R5FqI61ECTL7Kfeb8t3Avj/8J7g1G
 IPLxKt9o1kT84mkoxLriFQE2vGMV7oC8supFKXwGSsk3vmBdPjKi2h1p0+BF/4f5
 gl0p394OopD417zX/hBUgPzuewftEB9L+IxZkwEMlBgGxoiDvkB85G8AkTS/F4KZ
 3R4WLfaka7uvRdBsDgU0Qn/TulLNPe60gS0YDT4EJ9Y2PvsJaKNNobmbBtHQTutZ
 xVSyPv3NIhgKOH/KVsAWf4t/OCXag==
X-ME-Sender: <xms:WRiOXbBfD8Lzj2BLZWreroPBq9WQyy4HCBUdQo_h_Wjg9zo0LCESIw>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedufedrfeeigdejudcutefuodetggdotefrodftvf
 curfhrohhfihhlvgemucfhrghsthforghilhdpqfgfvfdpuffrtefokffrpgfnqfghnecu
 uegrihhlohhuthemuceftddtnecusecvtfgvtghiphhivghnthhsucdlqddutddtmdenuc
 fjughrpeggfhgjhfffkffuvfgtgfesthhqredttddtjeenucfhrhhomhepteigvghlucfu
 vhgvnhhsshhonhcuoehmrghilhesrgigvghlshhvvghnshhsohhnrdgtohhmqeenucffoh
 hmrghinhepghhithhhuhgsrdgtohhmnecukfhppedvtdelrdekhedrudeijedrudejuden
 ucfrrghrrghmpehmrghilhhfrhhomhepmhgrihhlsegrgigvlhhsvhgvnhhsshhonhdrtg
 homhenucevlhhushhtvghrufhiiigvpedt
X-ME-Proxy: <xmx:WRiOXWa1lcM1YSDvlKLj7IFE0ti6ovBuvE53QDpyGZlHUOo1BMiKyQ>
 <xmx:WRiOXfIoDKkOaVSySaehIvH6A0Dzn_mhvxYP4FrJOCVKbVhRTVcoKg>
 <xmx:WRiOXfApEl4zcArpDVJtoc4cg-vgbDGtlXPaQ9GYLH7sVXJBChVIYQ>
 <xmx:WRiOXeQ5LaaTkfaketHsg2NHkvv1KNg6MyCwN3Ou7Gb4tv8NfUMKXA>
Received: from mail-oi1-f171.google.com (mail-oi1-f171.google.com
 [209.85.167.171])
 by mail.messagingengine.com (Postfix) with ESMTPA id 7ED3F8005B
 for <37530 <at> debbugs.gnu.org>; Fri, 27 Sep 2019 10:10:32 -0400 (EDT)
Received: by mail-oi1-f171.google.com with SMTP id k9so5291821oib.7
 for <37530 <at> debbugs.gnu.org>; Fri, 27 Sep 2019 07:10:32 -0700 (PDT)
X-Gm-Message-State: APjAAAU25vh8eFFIuABpP6bFU1NxgnmZZm99rDJia9N4Bau4MRLiNBP6
 Szf67gQdjFr3820rwzu/hcQznRZK28ohSyCIl3w=
X-Google-Smtp-Source: APXvYqxw6n1kfpysCxo6Dm/7SO7rj7f4zgIejLcwueQ5WtYgYOT/GMbS/b3W70u5+jjXg2QSrNP9S6wZwjemS/vFUTE=
X-Received: by 2002:aca:d694:: with SMTP id n142mr7353639oig.69.1569593431809; 
 Fri, 27 Sep 2019 07:10:31 -0700 (PDT)
MIME-Version: 1.0
References: <CAJ40yayVXzDjgptThaVZNijFOxK_h8f_QvL6E0JGJzZRq_HuRA@HIDDEN>
 <83zhiqjom4.fsf@HIDDEN> <87muepq2z5.fsf@HIDDEN>
In-Reply-To: <87muepq2z5.fsf@HIDDEN>
From: Axel Svensson <mail@HIDDEN>
Date: Fri, 27 Sep 2019 16:10:20 +0200
X-Gmail-Original-Message-ID: <CAJ40yay61yAKJT38vJ8tP5Er8FfiNv++Nt=jLUyjxiK7xxK8uw@HIDDEN>
Message-ID: <CAJ40yay61yAKJT38vJ8tP5Er8FfiNv++Nt=jLUyjxiK7xxK8uw@HIDDEN>
Subject: Re: bug#37530: 26.1; Tack characters translated incorrectly
To: Lars Ingebrigtsen <larsi@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 37530
Cc: Eli Zaretskii <eliz@HIDDEN>, 37530 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Fri, Sep 27, 2019 at 3:33 PM Lars Ingebrigtsen <larsi@HIDDEN> wrote:
> In addition, there's a huge number of keysyms in that file that we do
> not do mappings to characters for.  Hm...  but those are all over
> #x1000174, so I guess they're mapped to Unicode code points directly?

I found three more keysyms missing:
#define XKB_KEY_Ukrainian_ghe_with_upturn     0x06ad  /* U+0491
CYRILLIC SMALL LETTER GHE WITH UPTURN */
#define XKB_KEY_Ukrainian_GHE_WITH_UPTURN     0x06bd  /* U+0490
CYRILLIC CAPITAL LETTER GHE WITH UPTURN */
#define XKB_KEY_permille                      0x0ad5  /* U+2030 PER
MILLE SIGN */
This is according to
https://github.com/xkbcommon/libxkbcommon/blob/master/xkbcommon/xkbcommon-k=
eysyms.h

> -       (#xabc . ?=E2=8C=A9)
> -       (#xabe . ?=E2=8C=AA)
> +       (#xabc . ?=E2=9F=A8)
> +       (#xabe . ?=E2=9F=A9)

What is the source for this change? Why would you change
left/right-pointing brackets for the mathematical ones, in the section
for publishing?

> -       (#xbc2 . ?=E2=8A=A5)
> +       (#xbc2 . ?=E2=8A=A4)
>         (#xbc3 . ?=E2=88=A9)
>         (#xbc4 . ?=E2=8C=8A)
>         (#xbc6 . ?_)
>         (#xbca . ?=E2=88=98)
>         (#xbcc . ?=E2=8E=95)
> -       (#xbce . ?=E2=8A=A4)
> +       (#xbce . ?=E2=8A=A5)
>         (#xbcf . ?=E2=97=8B)
>         (#xbd3 . ?=E2=8C=88)
>         (#xbd6 . ?=E2=88=AA)
>         (#xbd8 . ?=E2=8A=83)
>         (#xbda . ?=E2=8A=82)
> -       (#xbdc . ?=E2=8A=A2)
> -       (#xbfc . ?=E2=8A=A3)
> +       (#xbdc . ?=E2=8A=A3)
> +       (#xbfc . ?=E2=8A=A2)

I agree.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37530; Package emacs. Full text available.

Message received at 37530 <at> debbugs.gnu.org:


Received: (at 37530) by debbugs.gnu.org; 27 Sep 2019 14:03:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 27 10:03:43 2019
Received: from localhost ([127.0.0.1]:48235 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iDqqU-0008JJ-ST
	for submit <at> debbugs.gnu.org; Fri, 27 Sep 2019 10:03:43 -0400
Received: from quimby.gnus.org ([80.91.231.51]:59992)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1iDqqR-0008JA-HH
 for 37530 <at> debbugs.gnu.org; Fri, 27 Sep 2019 10:03:39 -0400
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=marnie)
 by quimby.gnus.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.89) (envelope-from <larsi@HIDDEN>)
 id 1iDqqJ-0002CB-CQ; Fri, 27 Sep 2019 16:03:33 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#37530: 26.1; Tack characters translated incorrectly
References: <CAJ40yayVXzDjgptThaVZNijFOxK_h8f_QvL6E0JGJzZRq_HuRA@HIDDEN>
 <83zhiqjom4.fsf@HIDDEN> <87muepq2z5.fsf@HIDDEN>
 <838sq9kg4r.fsf@HIDDEN> <878sq9q24o.fsf@HIDDEN>
 <834l0xkfgx.fsf@HIDDEN>
Date: Fri, 27 Sep 2019 16:03:31 +0200
In-Reply-To: <834l0xkfgx.fsf@HIDDEN> (Eli Zaretskii's message of "Fri, 27 Sep
 2019 16:59:10 +0300")
Message-ID: <87v9tdomz0.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Eli Zaretskii <eliz@HIDDEN> writes: > Perhaps I've
 misunderstood
 where the code was taken from. You didn't > say. It's in xterm.c in
 handle_one_xevent.
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37530
Cc: mail@HIDDEN, 37530 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

> Perhaps I've misunderstood where the code was taken from.  You didn't
> say.

It's in xterm.c in handle_one_xevent.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37530; Package emacs. Full text available.

Message received at 37530 <at> debbugs.gnu.org:


Received: (at 37530) by debbugs.gnu.org; 27 Sep 2019 13:59:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 27 09:59:54 2019
Received: from localhost ([127.0.0.1]:48227 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iDqmn-0008CF-Qs
	for submit <at> debbugs.gnu.org; Fri, 27 Sep 2019 09:59:54 -0400
Received: from eggs.gnu.org ([209.51.188.92]:33775)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1iDqmm-0008C2-FL
 for 37530 <at> debbugs.gnu.org; Fri, 27 Sep 2019 09:59:52 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:40108)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1iDqmf-0008Vd-JV; Fri, 27 Sep 2019 09:59:45 -0400
Received: from [176.228.60.248] (port=4706 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1iDqmV-00073l-8T; Fri, 27 Sep 2019 09:59:41 -0400
Date: Fri, 27 Sep 2019 16:59:10 +0300
Message-Id: <834l0xkfgx.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
In-reply-to: <878sq9q24o.fsf@HIDDEN> (message from Lars Ingebrigtsen on Fri, 
 27 Sep 2019 15:50:47 +0200)
Subject: Re: bug#37530: 26.1; Tack characters translated incorrectly
References: <CAJ40yayVXzDjgptThaVZNijFOxK_h8f_QvL6E0JGJzZRq_HuRA@HIDDEN>
 <83zhiqjom4.fsf@HIDDEN> <87muepq2z5.fsf@HIDDEN>
 <838sq9kg4r.fsf@HIDDEN> <878sq9q24o.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 37530
Cc: mail@HIDDEN, 37530 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Lars Ingebrigtsen <larsi@HIDDEN>
> Cc: mail@HIDDEN,  37530 <at> debbugs.gnu.org
> Date: Fri, 27 Sep 2019 15:50:47 +0200
> 
> > I'd like someone to do the research and find out why Markus Kuhn's
> > suggestions were changed.  I'd like also to state the source of the
> > data and the information about the change reason(s) in x-win.el, where
> > we have the mapping.
> 
> If somebody wants to do that research, be my guest.  I don't see the
> point -- this is the data the X server uses, so it's authoritative.

I'd like to hear more opinions, please.

> >> 	  /* Keysyms directly mapped to Unicode characters.  */
> >> 	  if (keysym >= 0x01000000 && keysym <= 0x0110FFFF)
> >
> > To answer the question, one needs to compare the keysyms with the
> > corresponding codepoints.  If they are identical, then the mapping is
> > trivial.
> 
> I don't understand what you mean.  The comment says that the keysyms in
> the 0x01000000 to 0x0110FFFF range map directly to code points.  What is
> there to compare?

Perhaps I've misunderstood where the code was taken from.  You didn't
say.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37530; Package emacs. Full text available.

Message received at 37530 <at> debbugs.gnu.org:


Received: (at 37530) by debbugs.gnu.org; 27 Sep 2019 13:50:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 27 09:50:53 2019
Received: from localhost ([127.0.0.1]:46066 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iDqe5-0007SB-JC
	for submit <at> debbugs.gnu.org; Fri, 27 Sep 2019 09:50:53 -0400
Received: from quimby.gnus.org ([80.91.231.51]:59746)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1iDqe4-0007S3-3m
 for 37530 <at> debbugs.gnu.org; Fri, 27 Sep 2019 09:50:52 -0400
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=marnie)
 by quimby.gnus.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.89) (envelope-from <larsi@HIDDEN>)
 id 1iDqdz-00023T-Ih; Fri, 27 Sep 2019 15:50:50 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#37530: 26.1; Tack characters translated incorrectly
References: <CAJ40yayVXzDjgptThaVZNijFOxK_h8f_QvL6E0JGJzZRq_HuRA@HIDDEN>
 <83zhiqjom4.fsf@HIDDEN> <87muepq2z5.fsf@HIDDEN>
 <838sq9kg4r.fsf@HIDDEN>
Date: Fri, 27 Sep 2019 15:50:47 +0200
In-Reply-To: <838sq9kg4r.fsf@HIDDEN> (Eli Zaretskii's message of "Fri, 27 Sep
 2019 16:44:52 +0300")
Message-ID: <878sq9q24o.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Eli Zaretskii <eliz@HIDDEN> writes: > Sorry, this is not
 enough. We cannot blindly use some alternative > source, especially as the
 other source was determined to be > inaccurate. How do we know that header
 file is accurate? (And what > [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37530
Cc: mail@HIDDEN, 37530 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

> Sorry, this is not enough.  We cannot blindly use some alternative
> source, especially as the other source was determined to be
> inaccurate.  How do we know that header file is accurate?  (And what
> is the license of that file, btw?)

The X license.

> I'd like someone to do the research and find out why Markus Kuhn's
> suggestions were changed.  I'd like also to state the source of the
> data and the information about the change reason(s) in x-win.el, where
> we have the mapping.

If somebody wants to do that research, be my guest.  I don't see the
point -- this is the data the X server uses, so it's authoritative.

>> In addition, there's a huge number of keysyms in that file that we do
>> not do mappings to characters for.  Hm...  but those are all over
>> #x1000174, so I guess they're mapped to Unicode code points directly?
>> 
>> 	  /* Keysyms directly mapped to Unicode characters.  */
>> 	  if (keysym >= 0x01000000 && keysym <= 0x0110FFFF)
>
> To answer the question, one needs to compare the keysyms with the
> corresponding codepoints.  If they are identical, then the mapping is
> trivial.

I don't understand what you mean.  The comment says that the keysyms in
the 0x01000000 to 0x0110FFFF range map directly to code points.  What is
there to compare?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37530; Package emacs. Full text available.

Message received at 37530 <at> debbugs.gnu.org:


Received: (at 37530) by debbugs.gnu.org; 27 Sep 2019 13:45:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 27 09:45:33 2019
Received: from localhost ([127.0.0.1]:46062 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iDqYu-0005iP-Qa
	for submit <at> debbugs.gnu.org; Fri, 27 Sep 2019 09:45:33 -0400
Received: from eggs.gnu.org ([209.51.188.92]:58705)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1iDqYt-0005cN-C9
 for 37530 <at> debbugs.gnu.org; Fri, 27 Sep 2019 09:45:31 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:39283)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1iDqYn-0005nm-Sm; Fri, 27 Sep 2019 09:45:26 -0400
Received: from [176.228.60.248] (port=3817 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1iDqYk-0002st-N0; Fri, 27 Sep 2019 09:45:25 -0400
Date: Fri, 27 Sep 2019 16:44:52 +0300
Message-Id: <838sq9kg4r.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
In-reply-to: <87muepq2z5.fsf@HIDDEN> (message from Lars Ingebrigtsen on Fri, 
 27 Sep 2019 15:32:30 +0200)
Subject: Re: bug#37530: 26.1; Tack characters translated incorrectly
References: <CAJ40yayVXzDjgptThaVZNijFOxK_h8f_QvL6E0JGJzZRq_HuRA@HIDDEN>
 <83zhiqjom4.fsf@HIDDEN> <87muepq2z5.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 37530
Cc: mail@HIDDEN, 37530 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Lars Ingebrigtsen <larsi@HIDDEN>
> Cc: Axel Svensson <mail@HIDDEN>,  37530 <at> debbugs.gnu.org
> Date: Fri, 27 Sep 2019 15:32:30 +0200
> 
> The following patch updates out map with the data from the .h file:
> 
> (setq map
>       (let ((map nil))
> 	(with-temp-buffer
> 	  (insert-file-contents "/usr/include/xkbcommon/xkbcommon-keysyms.h")
> 	  (while (re-search-forward "#define +XKB_KEY.*0x\\([a-fA-Z0-9]+\\).*U\\+\\([a-fA-Z0-9]+\\)" nil t)
> 	    (push (cons (string-to-number (match-string 1) 16)
> 			(string-to-number (match-string 2) 16))
> 		  map)))
> 	(nreverse map)))
> 
> Does this look OK to everybody?

Sorry, this is not enough.  We cannot blindly use some alternative
source, especially as the other source was determined to be
inaccurate.  How do we know that header file is accurate?  (And what
is the license of that file, btw?)

I'd like someone to do the research and find out why Markus Kuhn's
suggestions were changed.  I'd like also to state the source of the
data and the information about the change reason(s) in x-win.el, where
we have the mapping.

> In addition, there's a huge number of keysyms in that file that we do
> not do mappings to characters for.  Hm...  but those are all over
> #x1000174, so I guess they're mapped to Unicode code points directly?
> 
> 	  /* Keysyms directly mapped to Unicode characters.  */
> 	  if (keysym >= 0x01000000 && keysym <= 0x0110FFFF)

To answer the question, one needs to compare the keysyms with the
corresponding codepoints.  If they are identical, then the mapping is
trivial.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37530; Package emacs. Full text available.

Message received at 37530 <at> debbugs.gnu.org:


Received: (at 37530) by debbugs.gnu.org; 27 Sep 2019 13:32:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 27 09:32:41 2019
Received: from localhost ([127.0.0.1]:46044 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iDqMR-0004xq-Dz
	for submit <at> debbugs.gnu.org; Fri, 27 Sep 2019 09:32:40 -0400
Received: from quimby.gnus.org ([80.91.231.51]:59032)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1iDqMP-0004xi-Oi
 for 37530 <at> debbugs.gnu.org; Fri, 27 Sep 2019 09:32:38 -0400
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=marnie)
 by quimby.gnus.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.89) (envelope-from <larsi@HIDDEN>)
 id 1iDqMI-0001ra-Ms; Fri, 27 Sep 2019 15:32:36 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#37530: 26.1; Tack characters translated incorrectly
References: <CAJ40yayVXzDjgptThaVZNijFOxK_h8f_QvL6E0JGJzZRq_HuRA@HIDDEN>
 <83zhiqjom4.fsf@HIDDEN>
Date: Fri, 27 Sep 2019 15:32:30 +0200
In-Reply-To: <83zhiqjom4.fsf@HIDDEN> (Eli Zaretskii's message of "Fri, 27 Sep
 2019 08:26:59 +0300")
Message-ID: <87muepq2z5.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  The following patch updates out map with the data from the
 .h file: (setq map (let ((map nil)) (with-temp-buffer (insert-file-contents
 "/usr/include/xkbcommon/xkbcommon-keysyms.h") (while (re-search-forward
 "#define
 +XKB_KEY.*0x\\([a-fA-Z0-9]+\\).*U\\+\\([a-fA-Z0-9]+\ [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37530
Cc: Axel Svensson <mail@HIDDEN>, 37530 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

The following patch updates out map with the data from the .h file:

(setq map
      (let ((map nil))
	(with-temp-buffer
	  (insert-file-contents "/usr/include/xkbcommon/xkbcommon-keysyms.h")
	  (while (re-search-forward "#define +XKB_KEY.*0x\\([a-fA-Z0-9]+\\).*U\\+\=
\([a-fA-Z0-9]+\\)" nil t)
	    (push (cons (string-to-number (match-string 1) 16)
			(string-to-number (match-string 2) 16))
		  map)))
	(nreverse map)))

Does this look OK to everybody?

In addition, there's a huge number of keysyms in that file that we do
not do mappings to characters for.  Hm...  but those are all over
#x1000174, so I guess they're mapped to Unicode code points directly?

	  /* Keysyms directly mapped to Unicode characters.  */
	  if (keysym >=3D 0x01000000 && keysym <=3D 0x0110FFFF)

*counts digits*

Yeah, that seems correct, I guess?

diff --git a/lisp/term/x-win.el b/lisp/term/x-win.el
index 56061371fe..119cd3d0a9 100644
--- a/lisp/term/x-win.el
+++ b/lisp/term/x-win.el
@@ -822,8 +822,8 @@ vendor-specific-keysyms
 	(#xab7 . ?=E2=85=9A)
 	(#xab8 . ?=E2=84=85)
 	(#xabb . ?=E2=80=92)
-	(#xabc . ?=E2=8C=A9)
-	(#xabe . ?=E2=8C=AA)
+	(#xabc . ?=E2=9F=A8)
+	(#xabe . ?=E2=9F=A9)
 	(#xac3 . ?=E2=85=9B)
 	(#xac4 . ?=E2=85=9C)
 	(#xac5 . ?=E2=85=9D)
@@ -883,20 +883,20 @@ vendor-specific-keysyms
 	(#xba8 . ?=E2=88=A8)
 	(#xba9 . ?=E2=88=A7)
 	(#xbc0 . ?=C2=AF)
-	(#xbc2 . ?=E2=8A=A5)
+	(#xbc2 . ?=E2=8A=A4)
 	(#xbc3 . ?=E2=88=A9)
 	(#xbc4 . ?=E2=8C=8A)
 	(#xbc6 . ?_)
 	(#xbca . ?=E2=88=98)
 	(#xbcc . ?=E2=8E=95)
-	(#xbce . ?=E2=8A=A4)
+	(#xbce . ?=E2=8A=A5)
 	(#xbcf . ?=E2=97=8B)
 	(#xbd3 . ?=E2=8C=88)
 	(#xbd6 . ?=E2=88=AA)
 	(#xbd8 . ?=E2=8A=83)
 	(#xbda . ?=E2=8A=82)
-	(#xbdc . ?=E2=8A=A2)
-	(#xbfc . ?=E2=8A=A3)
+	(#xbdc . ?=E2=8A=A3)
+	(#xbfc . ?=E2=8A=A2)
 	;; Hebrew
 	(#xcdf . ?=E2=80=97)
 	(#xce0 . ?=D7=90)

--=20
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37530; Package emacs. Full text available.

Message received at 37530 <at> debbugs.gnu.org:


Received: (at 37530) by debbugs.gnu.org; 27 Sep 2019 13:18:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 27 09:18:06 2019
Received: from localhost ([127.0.0.1]:46015 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iDq8L-0004a1-VN
	for submit <at> debbugs.gnu.org; Fri, 27 Sep 2019 09:18:06 -0400
Received: from wout3-smtp.messagingengine.com ([64.147.123.19]:60693)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1iDq8K-0004ZT-Pc
 for 37530 <at> debbugs.gnu.org; Fri, 27 Sep 2019 09:18:05 -0400
Received: from compute7.internal (compute7.nyi.internal [10.202.2.47])
 by mailout.west.internal (Postfix) with ESMTP id 0EFAF68A
 for <37530 <at> debbugs.gnu.org>; Fri, 27 Sep 2019 09:17:58 -0400 (EDT)
Received: from mailfrontend2 ([10.202.2.163])
 by compute7.internal (MEProxy); Fri, 27 Sep 2019 09:17:59 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm3; bh=oWa7uh
 dEBQqPnPfOrMv9HNNLWakCtk56kjLVjYQwGyE=; b=ZLAFppd6Wp+4gxNkE3RTPO
 GRp5yiBnGRfd8+baNCK4P6TZyyUfobu37sj2BtPuV043v1ZyYVhVCXGkwvTj4N/k
 qqTlWWnxwcfK4FRvNwt0w8mWsld/FdHvHeUHIIbuSeRW/HOGwKXHqHuGYzkDu1SH
 0tSSJ+VshT846x1pVpRpwLVZmvdffWDpyK2PdosLyBC4LcvI8kP2gXjNpdXb9cQY
 Hq0kfXy7uyGhtfQc8CcuW/RLUeZme04yJB+mStHntE+GNT/ZRB8pgBkmaXG9KFFK
 U3OYAtXm/cdSqJyTgYiH54snQlyy8v4mD63aLXJYae7oySAGhpXFOE8ZrGZfrJlw
 ==
X-ME-Sender: <xms:BgyOXeN8Y0TKQ5nv-dWHO15AKdKEcOkIrq2b7pNXUMdb9zY5IqzfrQ>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedufedrfeeigdeiudcutefuodetggdotefrodftvf
 curfhrohhfihhlvgemucfhrghsthforghilhdpqfgfvfdpuffrtefokffrpgfnqfghnecu
 uegrihhlohhuthemuceftddtnecusecvtfgvtghiphhivghnthhsucdlqddutddtmdenuc
 fjughrpeggfhgjhfffkffuvfgtsehttdertddttdejnecuhfhrohhmpeetgigvlhcuufhv
 vghnshhsohhnuceomhgrihhlsegrgigvlhhsvhgvnhhsshhonhdrtghomheqnecuffhomh
 grihhnpegtrghmrdgrtgdruhhknecukfhppedvtdelrdekhedrvddutddrgeeknecurfgr
 rhgrmhepmhgrihhlfhhrohhmpehmrghilhesrgigvghlshhvvghnshhsohhnrdgtohhmne
 cuvehluhhsthgvrhfuihiivgeptd
X-ME-Proxy: <xmx:BgyOXdIUHbDmLBQNueGpwVXCAXkRj_It2M_dBF1-73HBA-tdYSPuqA>
 <xmx:BgyOXXHSiJLp6n9DCQKFAueiK5j7uIdntulCkURRLhV_pS-xj512Gw>
 <xmx:BgyOXdSdRTme-QDXWCSXRZDCKVZbYO2KPyfywNpIAleh857ABTJUrw>
 <xmx:BgyOXdIYTcjNsghBcNH1M8a-usMrgmEnx11xiqCLQegjwmxbndpzcQ>
Received: from mail-ot1-f48.google.com (mail-ot1-f48.google.com
 [209.85.210.48])
 by mail.messagingengine.com (Postfix) with ESMTPA id 37A5DD6005B
 for <37530 <at> debbugs.gnu.org>; Fri, 27 Sep 2019 09:17:58 -0400 (EDT)
Received: by mail-ot1-f48.google.com with SMTP id g13so2175372otp.8
 for <37530 <at> debbugs.gnu.org>; Fri, 27 Sep 2019 06:17:58 -0700 (PDT)
X-Gm-Message-State: APjAAAVBLMd/vDWnI5tkPmzwej2Vm9V0XrbjZ2Yu3aIR3+WkevEwXhkr
 +gz060Ll9qPaikQ/AWPhquLQ/U2wOjq7Vu4IZXc=
X-Google-Smtp-Source: APXvYqwcDD+iN516vEZXkg8mntk3RpMC/vCO5mpwAH6iEXJcbD8RaAtb1dvBzjms0iyPN1SKggxkEVP+Iflm+gsppaY=
X-Received: by 2002:a9d:7308:: with SMTP id e8mr3347367otk.104.1569590277584; 
 Fri, 27 Sep 2019 06:17:57 -0700 (PDT)
MIME-Version: 1.0
References: <CAJ40yayVXzDjgptThaVZNijFOxK_h8f_QvL6E0JGJzZRq_HuRA@HIDDEN>
 <83zhiqjom4.fsf@HIDDEN>
 <CAJ40yaw5LgZyZhiCJLxJsL52qhcaJriK21oB6bisELnvk76MaA@HIDDEN>
 <83ef01khi1.fsf@HIDDEN>
In-Reply-To: <83ef01khi1.fsf@HIDDEN>
From: Axel Svensson <mail@HIDDEN>
Date: Fri, 27 Sep 2019 15:17:46 +0200
X-Gmail-Original-Message-ID: <CAJ40yay9GCvVTm9=Vx=p-asaAO2tNJKL1s5OCuAp8SNrw0cr=g@HIDDEN>
Message-ID: <CAJ40yay9GCvVTm9=Vx=p-asaAO2tNJKL1s5OCuAp8SNrw0cr=g@HIDDEN>
Subject: Re: bug#37530: 26.1; Tack characters translated incorrectly
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 37530
Cc: 37530 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Fri, Sep 27, 2019 at 3:16 PM Eli Zaretskii <eliz@HIDDEN> wrote:
> Looks like this is due to the list in x-win.el, which starts on line
> 320 there.  Can someone proofread that list and see if we have other
> similar problems?  It looks our data was taken from here:
>
>   https://www.cl.cam.ac.uk/~mgk25/ucs/keysyms.pdf

I'm on it.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37530; Package emacs. Full text available.

Message received at 37530 <at> debbugs.gnu.org:


Received: (at 37530) by debbugs.gnu.org; 27 Sep 2019 13:15:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 27 09:15:56 2019
Received: from localhost ([127.0.0.1]:45988 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iDq6G-0004Tq-1g
	for submit <at> debbugs.gnu.org; Fri, 27 Sep 2019 09:15:56 -0400
Received: from eggs.gnu.org ([209.51.188.92]:52022)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1iDq6B-0004Sq-Jp
 for 37530 <at> debbugs.gnu.org; Fri, 27 Sep 2019 09:15:52 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:37462)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1iDq65-0007Qa-Jo; Fri, 27 Sep 2019 09:15:45 -0400
Received: from [176.228.60.248] (port=2021 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1iDq61-0008Cf-51; Fri, 27 Sep 2019 09:15:44 -0400
Date: Fri, 27 Sep 2019 16:15:18 +0300
Message-Id: <83ef01khi1.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Axel Svensson <mail@HIDDEN>
In-reply-to: <CAJ40yaw5LgZyZhiCJLxJsL52qhcaJriK21oB6bisELnvk76MaA@HIDDEN>
 (message from Axel Svensson on Fri, 27 Sep 2019 12:37:29 +0200)
Subject: Re: bug#37530: 26.1; Tack characters translated incorrectly
References: <CAJ40yayVXzDjgptThaVZNijFOxK_h8f_QvL6E0JGJzZRq_HuRA@HIDDEN>
 <83zhiqjom4.fsf@HIDDEN>
 <CAJ40yaw5LgZyZhiCJLxJsL52qhcaJriK21oB6bisELnvk76MaA@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 37530
Cc: 37530 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Axel Svensson <mail@HIDDEN>
> Date: Fri, 27 Sep 2019 12:37:29 +0200
> Cc: 37530 <at> debbugs.gnu.org
> 
> - GNU Emacs 26.1 started with -Q:
>   The string "⊤⊥⊢⊣" is displayed, which is wrong.
> - Gnome Terminal 3.30.2:
>   The string "⊥⊤⊣⊢" is displayed, as expected.
> - GNU Emacs 26.1 started with -Q -nw under Gnome Terminal 3.30.2:
>   The string "⊥⊤⊣⊢" is displayed, as expected.
> - Chromium 73, with focus in the address bar:
>   The string "⊥⊤⊣⊢" is displayed, as expected.
> - Firefox 60.8.0esr 64-bit, with focus in the address bar:
>   The string "⊥⊤⊣⊢" is displayed, as expected.

Looks like this is due to the list in x-win.el, which starts on line
320 there.  Can someone proofread that list and see if we have other
similar problems?  It looks our data was taken from here:

  https://www.cl.cam.ac.uk/~mgk25/ucs/keysyms.pdf




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37530; Package emacs. Full text available.

Message received at 37530 <at> debbugs.gnu.org:


Received: (at 37530) by debbugs.gnu.org; 27 Sep 2019 13:03:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 27 09:03:26 2019
Received: from localhost ([127.0.0.1]:45965 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iDpu9-00049l-Vr
	for submit <at> debbugs.gnu.org; Fri, 27 Sep 2019 09:03:26 -0400
Received: from quimby.gnus.org ([80.91.231.51]:58496)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1iDpu7-00049d-RR
 for 37530 <at> debbugs.gnu.org; Fri, 27 Sep 2019 09:03:24 -0400
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=marnie)
 by quimby.gnus.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.89) (envelope-from <larsi@HIDDEN>)
 id 1iDpu3-0001Vd-Hi; Fri, 27 Sep 2019 15:03:22 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#37530: 26.1; Tack characters translated incorrectly
References: <CAJ40yayVXzDjgptThaVZNijFOxK_h8f_QvL6E0JGJzZRq_HuRA@HIDDEN>
 <83zhiqjom4.fsf@HIDDEN>
Date: Fri, 27 Sep 2019 15:03:19 +0200
In-Reply-To: <83zhiqjom4.fsf@HIDDEN> (Eli Zaretskii's message of "Fri, 27 Sep
 2019 08:26:59 +0300")
Message-ID: <87r241q4bs.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Eli Zaretskii <eliz@HIDDEN> writes: > Isn't the output of
 "C-h l" evidence that Emacs actually received the > codepoints it displayed?
 IOW, how do we know this is a problem in > Emacs and not in the keyboard
 configuration and/or driver [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37530
Cc: Axel Svensson <mail@HIDDEN>, 37530 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

> Isn't the output of "C-h l" evidence that Emacs actually received the
> codepoints it displayed?  IOW, how do we know this is a problem in
> Emacs and not in the keyboard configuration and/or driver software?

I've always wondered how Emacs actually does this thing, but have never
had a peek, so I rummaged around in keyboard.c for a bit.  If I'm
reading the code right, we get an event, and then pick out the
symbol_num from that (and that's probably they keycode in X parlance),
and then we end up here (under X):

/* Convert a keysym to its name.  */

char *
get_keysym_name (int keysym)
{
  char *value;

  block_input ();
  value =3D XKeysymToString (keysym);
  unblock_input ();

  return value;
}

But I'm a bit lost in how that name is translated into a character.
Uhm...  OK, there's a hash table called x-keysym-table.

(format "%x" (gethash #x0bc2 x-keysym-table))
=3D> "22a5"

> > #define XKB_KEY_downtack                      0x0bc2  /* U+22A4 DOWN TA=
CK */
> > #define XKB_KEY_uptack                        0x0bce  /* U+22A5 UP TACK=
 */
> > #define XKB_KEY_lefttack                      0x0bdc  /* U+22A3 LEFT TA=
CK */
> > #define XKB_KEY_righttack 0x0bfc /* U+22A2 RIGHT TACK */

And that's wrong, according to the bug reporter.  Now where does that
come from?  Some grepping shows w-win.el:

;; Table from Kuhn's proposed additions to the `KEYSYM Encoding'
;; appendix to the X protocol definition.
(dolist
...
	(#xbc2 . ?=E2=8A=A5)

Oh, there it is.

Character code properties: customize what to show
  name: UP TACK
  general-category: Sm (Symbol, Math)
  decomposition: (8869) ('=E2=8A=A5')

So we've got some wrong data in x-win.el?

--=20
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37530; Package emacs. Full text available.

Message received at 37530 <at> debbugs.gnu.org:


Received: (at 37530) by debbugs.gnu.org; 27 Sep 2019 10:37:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 27 06:37:52 2019
Received: from localhost ([127.0.0.1]:45892 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iDndH-00079U-Kj
	for submit <at> debbugs.gnu.org; Fri, 27 Sep 2019 06:37:52 -0400
Received: from out4-smtp.messagingengine.com ([66.111.4.28]:40777)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1iDndD-00079G-KI
 for 37530 <at> debbugs.gnu.org; Fri, 27 Sep 2019 06:37:50 -0400
Received: from compute7.internal (compute7.nyi.internal [10.202.2.47])
 by mailout.nyi.internal (Postfix) with ESMTP id 271A322347
 for <37530 <at> debbugs.gnu.org>; Fri, 27 Sep 2019 06:37:42 -0400 (EDT)
Received: from mailfrontend2 ([10.202.2.163])
 by compute7.internal (MEProxy); Fri, 27 Sep 2019 06:37:42 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-transfer-encoding:content-type
 :date:from:in-reply-to:message-id:mime-version:references
 :subject:to:x-me-proxy:x-me-proxy:x-me-sender:x-me-sender
 :x-sasl-enc; s=fm3; bh=l/LXLkWn+Ag9LRyYut2zybuThlbCJ+1x1JCbG+eSL
 zo=; b=vVHf1GPHmOpolTRB1zbvd9ZawwA9OaaiA1OxVv7kwOMjVW2XQyLSRZNms
 sX3AptkWW0AUbf5pT2JnxPq4UIR7/u+R2UnuhsSnBfszVRX0Y8LtxwRVRuGxKXmD
 L0Uor6WaRBCUhoici1wJDVbhfWRicV9Qgk1FXJNH82cnqrigLvXpMqOnblaUcWFN
 b9YId0f2/RmDGreOh4v/wodXPd8lTM4+D+WggMMr5MHgx3w+oO7llznormEiSfl1
 iD67p6hLC9Ocb0JR4PBAHUfoKATAfWd0TOl6DkQTm1MoqY4ssVH4GrtP6d7MXIWn
 VgfDF9lWtvY5/n2sMBm8rJt/3P9+Q==
X-ME-Sender: <xms:deaNXQOyspS8SSOOcjKyaTRlmam6L73ciDcAmh5Dob28nS11bJTWow>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedufedrfeeigddvkecutefuodetggdotefrodftvf
 curfhrohhfihhlvgemucfhrghsthforghilhdpqfgfvfdpuffrtefokffrpgfnqfghnecu
 uegrihhlohhuthemuceftddtnecusecvtfgvtghiphhivghnthhsucdlqddutddtmdenuc
 fjughrpeggfhgjhfffkffuvfgtgfesthhqredttddtjeenucfhrhhomhepteigvghlucfu
 vhgvnhhsshhonhcuoehmrghilhesrgigvghlshhvvghnshhsohhnrdgtohhmqeenucfkph
 epvddtledrkeehrdduieejrddujedunecurfgrrhgrmhepmhgrihhlfhhrohhmpehmrghi
 lhesrgigvghlshhvvghnshhsohhnrdgtohhmnecuvehluhhsthgvrhfuihiivgeptd
X-ME-Proxy: <xmx:deaNXRMwiJ1YqdSXZnmcQUrDLyqtbH5sg6i14s1vMtMuIga0WPTghw>
 <xmx:deaNXcsl2tYGfs3cE6C9qenSWb4MScbdpsOfxHiqS4bdDP_yAIv49w>
 <xmx:deaNXe-YmaSTbxm2MFFIrN8JiXi4xmy_1pPntLUyLo2C2d0Do7miAg>
 <xmx:duaNXetQx0HDuuayqy8R0b8e86ZtHg4hYOj7Kcm9U-C-GZdjo0whsg>
Received: from mail-oi1-f171.google.com (mail-oi1-f171.google.com
 [209.85.167.171])
 by mail.messagingengine.com (Postfix) with ESMTPA id 87968D60062
 for <37530 <at> debbugs.gnu.org>; Fri, 27 Sep 2019 06:37:41 -0400 (EDT)
Received: by mail-oi1-f171.google.com with SMTP id w17so4771028oiw.8
 for <37530 <at> debbugs.gnu.org>; Fri, 27 Sep 2019 03:37:41 -0700 (PDT)
X-Gm-Message-State: APjAAAXiW2Z/olQa/lapGe8NfJF5k8t7Scgt26xSuJC4Np0Miq2OW+Wt
 0ejmCWaeWB85py1N8LwtYhW6k2oYaKo/VvQGkik=
X-Google-Smtp-Source: APXvYqw78Xsige35Wh+g9aBp7qBDTrUqjT/AECRObXxc2njQS40UuGeAxDKhAqkMll91WuylIoX8Y/hPyUbjmH9mFWs=
X-Received: by 2002:aca:f3d4:: with SMTP id r203mr6196155oih.164.1569580661048; 
 Fri, 27 Sep 2019 03:37:41 -0700 (PDT)
MIME-Version: 1.0
References: <CAJ40yayVXzDjgptThaVZNijFOxK_h8f_QvL6E0JGJzZRq_HuRA@HIDDEN>
 <83zhiqjom4.fsf@HIDDEN>
In-Reply-To: <83zhiqjom4.fsf@HIDDEN>
From: Axel Svensson <mail@HIDDEN>
Date: Fri, 27 Sep 2019 12:37:29 +0200
X-Gmail-Original-Message-ID: <CAJ40yaw5LgZyZhiCJLxJsL52qhcaJriK21oB6bisELnvk76MaA@HIDDEN>
Message-ID: <CAJ40yaw5LgZyZhiCJLxJsL52qhcaJriK21oB6bisELnvk76MaA@HIDDEN>
Subject: Re: bug#37530: 26.1; Tack characters translated incorrectly
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 37530
Cc: 37530 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Fri, Sep 27, 2019, 07:27 Eli Zaretskii <eliz@HIDDEN> wrote:
>
> Isn't the output of "C-h l" evidence that Emacs actually received the
> codepoints it displayed?  IOW, how do we know this is a problem in
> Emacs and not in the keyboard configuration and/or driver software?
>
> Thanks.

Good point. The following tests confirm that the mistranslation is in
Emacs, and specifically in its handling of X11 events, and not in the
setup:

- Install xdotool (On debian, `apt-get install xdotool`)
- In order to test an application's tack character interpretation:
  - In a terminal, run:
    sleep 3; xdotool \
      key --delay 500 uptack \
      key --delay 500 downtack \
      key --delay 500 lefttack \
      key --delay 500 righttack
  - Quickly switch focus to the application you want to test
  - Wait 5 seconds
  - Investigate the effect in the application. If the application is
    such that it attempts to display characters that are inputted via
    the keyboard, it should display the string "=E2=8A=A5=E2=8A=A4=E2=8A=A3=
=E2=8A=A2".

On my setup, the following are the results of using the test above for
emacs, compared to a few other applications:

- GNU Emacs 26.1 started with -Q:
  The string "=E2=8A=A4=E2=8A=A5=E2=8A=A2=E2=8A=A3" is displayed, which is =
wrong.
- Gnome Terminal 3.30.2:
  The string "=E2=8A=A5=E2=8A=A4=E2=8A=A3=E2=8A=A2" is displayed, as expect=
ed.
- GNU Emacs 26.1 started with -Q -nw under Gnome Terminal 3.30.2:
  The string "=E2=8A=A5=E2=8A=A4=E2=8A=A3=E2=8A=A2" is displayed, as expect=
ed.
- Chromium 73, with focus in the address bar:
  The string "=E2=8A=A5=E2=8A=A4=E2=8A=A3=E2=8A=A2" is displayed, as expect=
ed.
- Firefox 60.8.0esr 64-bit, with focus in the address bar:
  The string "=E2=8A=A5=E2=8A=A4=E2=8A=A3=E2=8A=A2" is displayed, as expect=
ed.
- xterm:
  No characters are displayed.
- xev (in package xutils, x11-utils, or similar):
  This application prints debugging information for X11 events. See
  the output below. It confirms that the setup is sending correct key
  events. However, XLookupString refuses to translate the keysym to a
  utf-8 string. I believe this might mean that it is up to the
  applications to find a way to translate the keysyms, and can explain
  why some applications do not display any characters. However, it does
  not explain why emacs displays the wrong characters.

=3D=3D=3D=3D=3D Begin relevant part of xev output =3D=3D=3D=3D=3D
MappingNotify event, serial 32, synthetic NO, window 0x0,
    request MappingKeyboard, first_keycode 123, count 1

MappingNotify event, serial 32, synthetic NO, window 0x0,
    request MappingKeyboard, first_keycode 123, count 1

MappingNotify event, serial 32, synthetic NO, window 0x0,
    request MappingKeyboard, first_keycode 123, count 1

MappingNotify event, serial 32, synthetic NO, window 0x0,
    request MappingKeyboard, first_keycode 123, count 1

KeyPress event, serial 36, synthetic NO, window 0x2c00001,
    root 0x388, subw 0x0, time 141855379, (513,324), root:(516,777),
    state 0x0, keycode 123 (keysym 0xbce, uptack), same_screen YES,
    XLookupString gives 0 bytes:
    XmbLookupString gives 0 bytes:
    XFilterEvent returns: False

MappingNotify event, serial 36, synthetic NO, window 0x0,
    request MappingKeyboard, first_keycode 123, count 1

MappingNotify event, serial 36, synthetic NO, window 0x0,
    request MappingKeyboard, first_keycode 123, count 1

MappingNotify event, serial 36, synthetic NO, window 0x0,
    request MappingKeyboard, first_keycode 123, count 1

MappingNotify event, serial 36, synthetic NO, window 0x0,
    request MappingKeyboard, first_keycode 123, count 1

MappingNotify event, serial 36, synthetic NO, window 0x0,
    request MappingKeyboard, first_keycode 123, count 1

MappingNotify event, serial 36, synthetic NO, window 0x0,
    request MappingKeyboard, first_keycode 123, count 1

MappingNotify event, serial 36, synthetic NO, window 0x0,
    request MappingKeyboard, first_keycode 123, count 1

MappingNotify event, serial 36, synthetic NO, window 0x0,
    request MappingKeyboard, first_keycode 123, count 1

KeyRelease event, serial 36, synthetic NO, window 0x2c00001,
    root 0x388, subw 0x0, time 141855632, (513,324), root:(516,777),
    state 0x0, keycode 123 (keysym 0xbce, uptack), same_screen YES,
    XLookupString gives 0 bytes:
    XFilterEvent returns: False

MappingNotify event, serial 44, synthetic NO, window 0x0,
    request MappingKeyboard, first_keycode 123, count 1

MappingNotify event, serial 44, synthetic NO, window 0x0,
    request MappingKeyboard, first_keycode 123, count 1

MappingNotify event, serial 44, synthetic NO, window 0x0,
    request MappingKeyboard, first_keycode 123, count 1

MappingNotify event, serial 44, synthetic NO, window 0x0,
    request MappingKeyboard, first_keycode 123, count 1

MappingNotify event, serial 44, synthetic NO, window 0x0,
    request MappingKeyboard, first_keycode 123, count 1

MappingNotify event, serial 44, synthetic NO, window 0x0,
    request MappingKeyboard, first_keycode 123, count 1

MappingNotify event, serial 44, synthetic NO, window 0x0,
    request MappingKeyboard, first_keycode 123, count 1

MappingNotify event, serial 44, synthetic NO, window 0x0,
    request MappingKeyboard, first_keycode 123, count 1

KeyPress event, serial 44, synthetic NO, window 0x2c00001,
    root 0x388, subw 0x0, time 141855885, (513,324), root:(516,777),
    state 0x0, keycode 123 (keysym 0xbc2, downtack), same_screen YES,
    XLookupString gives 0 bytes:
    XmbLookupString gives 0 bytes:
    XFilterEvent returns: False

MappingNotify event, serial 52, synthetic NO, window 0x0,
    request MappingKeyboard, first_keycode 123, count 1

MappingNotify event, serial 52, synthetic NO, window 0x0,
    request MappingKeyboard, first_keycode 123, count 1

MappingNotify event, serial 52, synthetic NO, window 0x0,
    request MappingKeyboard, first_keycode 123, count 1

MappingNotify event, serial 52, synthetic NO, window 0x0,
    request MappingKeyboard, first_keycode 123, count 1

MappingNotify event, serial 52, synthetic NO, window 0x0,
    request MappingKeyboard, first_keycode 123, count 1

MappingNotify event, serial 52, synthetic NO, window 0x0,
    request MappingKeyboard, first_keycode 123, count 1

MappingNotify event, serial 52, synthetic NO, window 0x0,
    request MappingKeyboard, first_keycode 123, count 1

MappingNotify event, serial 52, synthetic NO, window 0x0,
    request MappingKeyboard, first_keycode 123, count 1

KeyRelease event, serial 52, synthetic NO, window 0x2c00001,
    root 0x388, subw 0x0, time 141856137, (513,324), root:(516,777),
    state 0x0, keycode 123 (keysym 0xbc2, downtack), same_screen YES,
    XLookupString gives 0 bytes:
    XFilterEvent returns: False

MappingNotify event, serial 60, synthetic NO, window 0x0,
    request MappingKeyboard, first_keycode 123, count 1

MappingNotify event, serial 60, synthetic NO, window 0x0,
    request MappingKeyboard, first_keycode 123, count 1

MappingNotify event, serial 60, synthetic NO, window 0x0,
    request MappingKeyboard, first_keycode 123, count 1

MappingNotify event, serial 60, synthetic NO, window 0x0,
    request MappingKeyboard, first_keycode 123, count 1

MappingNotify event, serial 60, synthetic NO, window 0x0,
    request MappingKeyboard, first_keycode 123, count 1

MappingNotify event, serial 60, synthetic NO, window 0x0,
    request MappingKeyboard, first_keycode 123, count 1

MappingNotify event, serial 60, synthetic NO, window 0x0,
    request MappingKeyboard, first_keycode 123, count 1

MappingNotify event, serial 60, synthetic NO, window 0x0,
    request MappingKeyboard, first_keycode 123, count 1

KeyPress event, serial 60, synthetic NO, window 0x2c00001,
    root 0x388, subw 0x0, time 141856392, (513,324), root:(516,777),
    state 0x0, keycode 123 (keysym 0xbdc, lefttack), same_screen YES,
    XLookupString gives 0 bytes:
    XmbLookupString gives 0 bytes:
    XFilterEvent returns: False

MappingNotify event, serial 68, synthetic NO, window 0x0,
    request MappingKeyboard, first_keycode 123, count 1

MappingNotify event, serial 68, synthetic NO, window 0x0,
    request MappingKeyboard, first_keycode 123, count 1

MappingNotify event, serial 68, synthetic NO, window 0x0,
    request MappingKeyboard, first_keycode 123, count 1

MappingNotify event, serial 68, synthetic NO, window 0x0,
    request MappingKeyboard, first_keycode 123, count 1

MappingNotify event, serial 68, synthetic NO, window 0x0,
    request MappingKeyboard, first_keycode 123, count 1

MappingNotify event, serial 68, synthetic NO, window 0x0,
    request MappingKeyboard, first_keycode 123, count 1

MappingNotify event, serial 68, synthetic NO, window 0x0,
    request MappingKeyboard, first_keycode 123, count 1

MappingNotify event, serial 68, synthetic NO, window 0x0,
    request MappingKeyboard, first_keycode 123, count 1

KeyRelease event, serial 68, synthetic NO, window 0x2c00001,
    root 0x388, subw 0x0, time 141856643, (513,324), root:(516,777),
    state 0x0, keycode 123 (keysym 0xbdc, lefttack), same_screen YES,
    XLookupString gives 0 bytes:
    XFilterEvent returns: False

MappingNotify event, serial 76, synthetic NO, window 0x0,
    request MappingKeyboard, first_keycode 123, count 1

MappingNotify event, serial 76, synthetic NO, window 0x0,
    request MappingKeyboard, first_keycode 123, count 1

MappingNotify event, serial 76, synthetic NO, window 0x0,
    request MappingKeyboard, first_keycode 123, count 1

MappingNotify event, serial 76, synthetic NO, window 0x0,
    request MappingKeyboard, first_keycode 123, count 1

MappingNotify event, serial 76, synthetic NO, window 0x0,
    request MappingKeyboard, first_keycode 123, count 1

MappingNotify event, serial 76, synthetic NO, window 0x0,
    request MappingKeyboard, first_keycode 123, count 1

MappingNotify event, serial 76, synthetic NO, window 0x0,
    request MappingKeyboard, first_keycode 123, count 1

MappingNotify event, serial 76, synthetic NO, window 0x0,
    request MappingKeyboard, first_keycode 123, count 1

KeyPress event, serial 76, synthetic NO, window 0x2c00001,
    root 0x388, subw 0x0, time 141856898, (513,324), root:(516,777),
    state 0x0, keycode 123 (keysym 0xbfc, righttack), same_screen YES,
    XLookupString gives 0 bytes:
    XmbLookupString gives 0 bytes:
    XFilterEvent returns: False

MappingNotify event, serial 84, synthetic NO, window 0x0,
    request MappingKeyboard, first_keycode 123, count 1

MappingNotify event, serial 84, synthetic NO, window 0x0,
    request MappingKeyboard, first_keycode 123, count 1

MappingNotify event, serial 84, synthetic NO, window 0x0,
    request MappingKeyboard, first_keycode 123, count 1

MappingNotify event, serial 84, synthetic NO, window 0x0,
    request MappingKeyboard, first_keycode 123, count 1

MappingNotify event, serial 84, synthetic NO, window 0x0,
    request MappingKeyboard, first_keycode 123, count 1

MappingNotify event, serial 84, synthetic NO, window 0x0,
    request MappingKeyboard, first_keycode 123, count 1

MappingNotify event, serial 84, synthetic NO, window 0x0,
    request MappingKeyboard, first_keycode 123, count 1

MappingNotify event, serial 84, synthetic NO, window 0x0,
    request MappingKeyboard, first_keycode 123, count 1

KeyRelease event, serial 92, synthetic NO, window 0x2c00001,
    root 0x388, subw 0x0, time 141857162, (513,324), root:(516,777),
    state 0x0, keycode 123 (keysym 0xbfc, righttack), same_screen YES,
    XLookupString gives 0 bytes:
    XFilterEvent returns: False

MappingNotify event, serial 92, synthetic NO, window 0x0,
    request MappingKeyboard, first_keycode 123, count 1

MappingNotify event, serial 92, synthetic NO, window 0x0,
    request MappingKeyboard, first_keycode 123, count 1

MappingNotify event, serial 92, synthetic NO, window 0x0,
    request MappingKeyboard, first_keycode 123, count 1

MappingNotify event, serial 92, synthetic NO, window 0x0,
    request MappingKeyboard, first_keycode 123, count 1

FocusOut event, serial 96, synthetic NO, window 0x2c00001,
    mode NotifyGrab, detail NotifyNonlinear
=3D=3D=3D=3D=3D End relevant part of xev output =3D=3D=3D=3D=3D




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37530; Package emacs. Full text available.

Message received at 37530 <at> debbugs.gnu.org:


Received: (at 37530) by debbugs.gnu.org; 27 Sep 2019 05:27:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 27 01:27:18 2019
Received: from localhost ([127.0.0.1]:45697 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iDimk-00023T-Hh
	for submit <at> debbugs.gnu.org; Fri, 27 Sep 2019 01:27:18 -0400
Received: from eggs.gnu.org ([209.51.188.92]:35219)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1iDimi-00023G-O1
 for 37530 <at> debbugs.gnu.org; Fri, 27 Sep 2019 01:27:17 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:52061)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1iDimd-0008WP-AZ; Fri, 27 Sep 2019 01:27:11 -0400
Received: from [176.228.60.248] (port=1025 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1iDimc-0008AH-L7; Fri, 27 Sep 2019 01:27:11 -0400
Date: Fri, 27 Sep 2019 08:26:59 +0300
Message-Id: <83zhiqjom4.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Axel Svensson <mail@HIDDEN>
In-reply-to: <CAJ40yayVXzDjgptThaVZNijFOxK_h8f_QvL6E0JGJzZRq_HuRA@HIDDEN>
 (message from Axel Svensson on Thu, 26 Sep 2019 23:31:34 +0200)
Subject: Re: bug#37530: 26.1; Tack characters translated incorrectly
References: <CAJ40yayVXzDjgptThaVZNijFOxK_h8f_QvL6E0JGJzZRq_HuRA@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 37530
Cc: 37530 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Axel Svensson <mail@HIDDEN>
> Date: Thu, 26 Sep 2019 23:31:34 +0200
> 
> Press C-h l to run view-lossage.
> The last lines display the erroneous characters that were inserted,
> rather than the expected characters.
>  ⊣ [self-insert-command]
>  ⊢ [self-insert-command]
>  ⊥ [self-insert-command]
>  ⊤ [self-insert-command]
>  C-h l [view-lossage]
> 
> In order to confirm that the behavior I have stated as expected is the
> correct one, look to the XKB keysym definitions:
> > #define XKB_KEY_downtack                      0x0bc2  /* U+22A4 DOWN TACK */
> > #define XKB_KEY_uptack                        0x0bce  /* U+22A5 UP TACK */
> > #define XKB_KEY_lefttack                      0x0bdc  /* U+22A3 LEFT TACK */
> > #define XKB_KEY_righttack                     0x0bfc  /* U+22A2 RIGHT TACK */
> These can be found at:
> https://github.com/xkbcommon/libxkbcommon/blob/master/xkbcommon/xkbcommon-keysyms.h
> 
> It is understandable that bugs like these can go unnoticed seeing that
> these characters probably aren't part of any widely used keyboard
> layout. If this bug can be confirmed, and depending on what caused it,
> it might be beneficial to add the complete mapping from X11 keysyms to
> Unicode codepoints as automated tests. I'm willing to provide this
> mapping, including source references.

Isn't the output of "C-h l" evidence that Emacs actually received the
codepoints it displayed?  IOW, how do we know this is a problem in
Emacs and not in the keyboard configuration and/or driver software?

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37530; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 26 Sep 2019 21:32:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 26 17:32:03 2019
Received: from localhost ([127.0.0.1]:45458 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iDbMn-0004s0-Oc
	for submit <at> debbugs.gnu.org; Thu, 26 Sep 2019 17:32:03 -0400
Received: from lists.gnu.org ([209.51.188.17]:37307)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1iDbMk-0004p9-S2
 for submit <at> debbugs.gnu.org; Thu, 26 Sep 2019 17:32:00 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:51616)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <mail@HIDDEN>) id 1iDbMg-0006DQ-UJ
 for bug-gnu-emacs@HIDDEN; Thu, 26 Sep 2019 17:31:58 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.1 required=5.0 tests=BAYES_50,RCVD_IN_DNSWL_LOW,
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <mail@HIDDEN>) id 1iDbMd-0007Zb-0l
 for bug-gnu-emacs@HIDDEN; Thu, 26 Sep 2019 17:31:54 -0400
Received: from out1-smtp.messagingengine.com ([66.111.4.25]:52171)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <mail@HIDDEN>)
 id 1iDbMc-0007Uq-Oc
 for bug-gnu-emacs@HIDDEN; Thu, 26 Sep 2019 17:31:50 -0400
Received: from compute7.internal (compute7.nyi.internal [10.202.2.47])
 by mailout.nyi.internal (Postfix) with ESMTP id 90A1C21C7A
 for <bug-gnu-emacs@HIDDEN>; Thu, 26 Sep 2019 17:31:47 -0400 (EDT)
Received: from mailfrontend1 ([10.202.2.162])
 by compute7.internal (MEProxy); Thu, 26 Sep 2019 17:31:47 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=content-transfer-encoding:content-type
 :date:from:message-id:mime-version:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm3; bh=GC35x0
 Cw3fHNK5aMXySmesBLDOmS9ZvQtFKMbcsuDrA=; b=cmShupBGQGohN5D2Qul30O
 Y0Sq7pueYv0Fx/oZs4FtIjuOERA3owyos7bjjdGl9XSfdHZw+nmSAv+5PGOBMbDo
 2IDWvqVJFWmBHhYitzsbbuZNMpzBQKzTA7RV1e37cMH7q0lH7evc9Y/gGW3bzbQn
 nqY9MQX2scmF7uIoyFxF5Wgt3FYyOnVdQxziSfDVhdTy/Gftl+hlrlZ7IGpR/Kgf
 g/fsiw4eo0/IPnhgdSmc8x1vBjEbswFrUGu8EmjNnNnVsJrnEmTsuMM68xHoRhx9
 LAPpduMaQYsiC9+yRLaBg027JTRPQOHosORwMU33mhYHApKudF8u6ZG2diYVbOMg
 ==
X-ME-Sender: <xms:Qy6NXetVisYMpEdBpBy6OpupsVAOKWRajIdSsbFFPH19DhW8qbdf0g>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedufedrfeeggdduieduucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfqfgfvpdfurfetoffkrfgpnffqhgen
 uceurghilhhouhhtmecufedttdenucenucfjughrpegghfffkffuvfgtgfesthhqredttd
 dtjeenucfhrhhomhepteigvghlucfuvhgvnhhsshhonhcuoehmrghilhesrgigvghlshhv
 vghnshhsohhnrdgtohhmqeenucffohhmrghinhepghhithhhuhgsrdgtohhmnecukfhppe
 dvtdelrdekhedrudeijedrudejkeenucfrrghrrghmpehmrghilhhfrhhomhepmhgrihhl
 segrgigvlhhsvhgvnhhsshhonhdrtghomhenucevlhhushhtvghrufhiiigvpedt
X-ME-Proxy: <xmx:Qy6NXZAWb4T_R0i7ERgbZbLyikOeHFuH1hDrW3K5Pblqc4mBcGw9rA>
 <xmx:Qy6NXTWDo_J_ddseNuos11W_emYGUrG5acL7500Dwml00qblymLwqw>
 <xmx:Qy6NXaG54gGAjFEsRxyeTGFv3ooxHsGYz-WYlw0IJgAYvU9HK53H0A>
 <xmx:Qy6NXVx7NqZ0eMzkmMnInCABgW5jPAcVDVJu9zu9JbA7CTcn1dLnnw>
Received: from mail-oi1-f178.google.com (mail-oi1-f178.google.com
 [209.85.167.178])
 by mail.messagingengine.com (Postfix) with ESMTPA id E375280059
 for <bug-gnu-emacs@HIDDEN>; Thu, 26 Sep 2019 17:31:46 -0400 (EDT)
Received: by mail-oi1-f178.google.com with SMTP id i16so3437417oie.4
 for <bug-gnu-emacs@HIDDEN>; Thu, 26 Sep 2019 14:31:46 -0700 (PDT)
X-Gm-Message-State: APjAAAXOnLunw6Jg+tT0U9rb4FtlUctQQFnzZY6oRcAWOneYDW9V2Iiq
 M1QN/xWpNOwJ+ANfjUqnispFx0l8d0s6BwXVjRk=
X-Google-Smtp-Source: APXvYqxnxN7XSZRCvkUKWjTEkcsL+gRBK7a5ABMHGyRbMAF+o3RAuuME9b2/9zCc3XwTOyef3CXqGWVUYmTnN+WKCeI=
X-Received: by 2002:aca:f3d4:: with SMTP id r203mr4156144oih.164.1569533505917; 
 Thu, 26 Sep 2019 14:31:45 -0700 (PDT)
MIME-Version: 1.0
From: Axel Svensson <mail@HIDDEN>
Date: Thu, 26 Sep 2019 23:31:34 +0200
X-Gmail-Original-Message-ID: <CAJ40yayVXzDjgptThaVZNijFOxK_h8f_QvL6E0JGJzZRq_HuRA@HIDDEN>
Message-ID: <CAJ40yayVXzDjgptThaVZNijFOxK_h8f_QvL6E0JGJzZRq_HuRA@HIDDEN>
Subject: 26.1; Tack characters translated incorrectly
To: bug-gnu-emacs@HIDDEN
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-Received-From: 66.111.4.25
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

To reproduce:

Start emacs with the -Q option under X11.

Press a key mapped to keysym 0xbfc.
It is expected that the character "=E2=8A=A2" (Right Tack, U+22a2) is inser=
ted.
Instead, the character "=E2=8A=A3" (Left Tack, U+22a3) is inserted.

Press a key mapped to keysym 0xbdc.
It is expected that the character "=E2=8A=A3" (Left Tack, U+22a3) is insert=
ed.
Instead, the character "=E2=8A=A2" (Right Tack, U+22a2) is inserted.

Press a key mapped to keysym 0xbc2.
It is expected that the character "=E2=8A=A4" (Down Tack, U+22a4) is insert=
ed.
Instead, the character "=E2=8A=A5" (Up Tack, U+22a5) is inserted.

Press a key mapped to keysym 0xbce.
It is expected that the character "=E2=8A=A5" (Up Tack, U+22a5) is inserted=
.
Instead, the character "=E2=8A=A4" (Down Tack, U+22a4) is inserted.

Press C-h l to run view-lossage.
The last lines display the erroneous characters that were inserted,
rather than the expected characters.
 =E2=8A=A3 [self-insert-command]
 =E2=8A=A2 [self-insert-command]
 =E2=8A=A5 [self-insert-command]
 =E2=8A=A4 [self-insert-command]
 C-h l [view-lossage]

In order to confirm that the behavior I have stated as expected is the
correct one, look to the XKB keysym definitions:
> #define XKB_KEY_downtack                      0x0bc2  /* U+22A4 DOWN TACK=
 */
> #define XKB_KEY_uptack                        0x0bce  /* U+22A5 UP TACK *=
/
> #define XKB_KEY_lefttack                      0x0bdc  /* U+22A3 LEFT TACK=
 */
> #define XKB_KEY_righttack                     0x0bfc  /* U+22A2 RIGHT TAC=
K */
These can be found at:
https://github.com/xkbcommon/libxkbcommon/blob/master/xkbcommon/xkbcommon-k=
eysyms.h

It is understandable that bugs like these can go unnoticed seeing that
these characters probably aren't part of any widely used keyboard
layout. If this bug can be confirmed, and depending on what caused it,
it might be beneficial to add the complete mapping from X11 keysyms to
Unicode codepoints as automated tests. I'm willing to provide this
mapping, including source references.



In GNU Emacs 26.1 (build 2, x86_64-pc-linux-gnu, GTK+ Version 3.24.4)
 of 2019-02-03, modified by Debian built on zam904
Windowing system distributor 'The X.Org Foundation', version 11.0.12004000
System Description: Debian GNU/Linux 10 (buster)

Configured using:
 'configure --build x86_64-linux-gnu --prefix=3D/usr
 --sharedstatedir=3D/var/lib --libexecdir=3D/usr/lib
 --localstatedir=3D/var/lib --infodir=3D/usr/share/info
 --mandir=3D/usr/share/man --enable-libsystemd --with-pop=3Dyes
 --enable-locallisppath=3D/etc/emacs:/usr/local/share/emacs/26.1/site-lisp:=
/usr/local/share/emacs/site-lisp:/usr/share/emacs/26.1/site-lisp:/usr/share=
/emacs/site-lisp
 --with-sound=3Dalsa --without-gconf --with-mailutils --build
 x86_64-linux-gnu --prefix=3D/usr --sharedstatedir=3D/var/lib
 --libexecdir=3D/usr/lib --localstatedir=3D/var/lib
 --infodir=3D/usr/share/info --mandir=3D/usr/share/man --enable-libsystemd
 --with-pop=3Dyes
 --enable-locallisppath=3D/etc/emacs:/usr/local/share/emacs/26.1/site-lisp:=
/usr/local/share/emacs/site-lisp:/usr/share/emacs/26.1/site-lisp:/usr/share=
/emacs/site-lisp
 --with-sound=3Dalsa --without-gconf --with-mailutils --with-x=3Dyes
 --with-x-toolkit=3Dgtk3 --with-toolkit-scroll-bars 'CFLAGS=3D-g -O2
 -fdebug-prefix-map=3D/build/emacs-26.1+1=3D. -fstack-protector-strong
 -Wformat -Werror=3Dformat-security -Wall' 'CPPFLAGS=3D-Wdate-time
 -D_FORTIFY_SOURCE=3D2' LDFLAGS=3D-Wl,-z,relro'

Configured features:
XPM JPEG TIFF GIF PNG RSVG IMAGEMAGICK SOUND GPM DBUS GSETTINGS NOTIFY
ACL LIBSELINUX GNUTLS LIBXML2 FREETYPE M17N_FLT LIBOTF XFT ZLIB
TOOLKIT_SCROLL_BARS GTK3 X11 THREADS LIBSYSTEMD LCMS2

Important settings:
  value of $LC_ALL: en_US.UTF-8
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Fundamental

Minor modes in effect:
  show-paren-mode: t
  delete-selection-mode: t
  editorconfig-mode: t
  global-magit-file-mode: t
  magit-file-mode: t
  diff-auto-refine-mode: t
  magit-auto-revert-mode: t
  auto-revert-mode: t
  global-git-commit-mode: t
  async-bytecomp-package-mode: t
  shell-dirtrack-mode: t
  cl-old-struct-compat-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
/home/user/.emacs.d/elpa/async-20190503.656/async-bytecomp hides
/usr/share/emacs/site-lisp/elpa/async-1.9.3/async-bytecomp
/home/user/.emacs.d/elpa/async-20190503.656/dired-async hides
/usr/share/emacs/site-lisp/elpa/async-1.9.3/dired-async
/home/user/.emacs.d/elpa/async-20190503.656/async-pkg hides
/usr/share/emacs/site-lisp/elpa/async-1.9.3/async-pkg
/home/user/.emacs.d/elpa/async-20190503.656/async hides
/usr/share/emacs/site-lisp/elpa/async-1.9.3/async
/home/user/.emacs.d/elpa/async-20190503.656/async-autoloads hides
/usr/share/emacs/site-lisp/elpa/async-1.9.3/async-autoloads
/home/user/.emacs.d/elpa/async-20190503.656/smtpmail-async hides
/usr/share/emacs/site-lisp/elpa/async-1.9.3/smtpmail-async
/home/user/.emacs.d/elpa/dash-20190424.1804/dash hides
/usr/share/emacs/site-lisp/elpa/dash-2.14.1/dash
/home/user/.emacs.d/elpa/dash-20190424.1804/dash-autoloads hides
/usr/share/emacs/site-lisp/elpa/dash-2.14.1/dash-autoloads
/home/user/.emacs.d/elpa/dash-20190424.1804/dash-pkg hides
/usr/share/emacs/site-lisp/elpa/dash-2.14.1/dash-pkg
/home/user/.emacs.d/elpa/async-20190503.656/dired-async hides
/usr/share/emacs/site-lisp/elpa-src/async-1.9.3/dired-async
/home/user/.emacs.d/elpa/async-20190503.656/async-pkg hides
/usr/share/emacs/site-lisp/elpa-src/async-1.9.3/async-pkg
/home/user/.emacs.d/elpa/async-20190503.656/async-bytecomp hides
/usr/share/emacs/site-lisp/elpa-src/async-1.9.3/async-bytecomp
/home/user/.emacs.d/elpa/async-20190503.656/async hides
/usr/share/emacs/site-lisp/elpa-src/async-1.9.3/async
/home/user/.emacs.d/elpa/async-20190503.656/async-autoloads hides
/usr/share/emacs/site-lisp/elpa-src/async-1.9.3/async-autoloads
/home/user/.emacs.d/elpa/async-20190503.656/smtpmail-async hides
/usr/share/emacs/site-lisp/elpa-src/async-1.9.3/smtpmail-async
/home/user/.emacs.d/elpa/dash-20190424.1804/dash-autoloads hides
/usr/share/emacs/site-lisp/elpa-src/dash-2.14.1/dash-autoloads
/home/user/.emacs.d/elpa/dash-20190424.1804/dash-pkg hides
/usr/share/emacs/site-lisp/elpa-src/dash-2.14.1/dash-pkg
/home/user/.emacs.d/elpa/dash-20190424.1804/dash hides
/usr/share/emacs/site-lisp/elpa-src/dash-2.14.1/dash
/usr/share/emacs/site-lisp/elpa/ghub-3.0.0/buck hides
/usr/share/emacs/site-lisp/elpa-src/ghub-3.0.0/buck
/usr/share/emacs/site-lisp/elpa/ghub-3.0.0/ghub-graphql hides
/usr/share/emacs/site-lisp/elpa-src/ghub-3.0.0/ghub-graphql
/usr/share/emacs/site-lisp/elpa/ghub-3.0.0/ghub-autoloads hides
/usr/share/emacs/site-lisp/elpa-src/ghub-3.0.0/ghub-autoloads
/usr/share/emacs/site-lisp/elpa/ghub-3.0.0/ghub-pkg hides
/usr/share/emacs/site-lisp/elpa-src/ghub-3.0.0/ghub-pkg
/usr/share/emacs/site-lisp/elpa/ghub-3.0.0/glab hides
/usr/share/emacs/site-lisp/elpa-src/ghub-3.0.0/glab
/usr/share/emacs/site-lisp/elpa/ghub-3.0.0/ghub hides
/usr/share/emacs/site-lisp/elpa-src/ghub-3.0.0/ghub
/usr/share/emacs/site-lisp/elpa/ghub-3.0.0/gogs hides
/usr/share/emacs/site-lisp/elpa-src/ghub-3.0.0/gogs
/usr/share/emacs/site-lisp/elpa/ghub-3.0.0/gtea hides
/usr/share/emacs/site-lisp/elpa-src/ghub-3.0.0/gtea
/usr/share/emacs/site-lisp/elpa/git-commit-2.90.1/git-commit-pkg hides
/usr/share/emacs/site-lisp/elpa-src/git-commit-2.90.1/git-commit-pkg
/usr/share/emacs/site-lisp/elpa/git-commit-2.90.1/git-commit-autoloads
hides /usr/share/emacs/site-lisp/elpa-src/git-commit-2.90.1/git-commit-auto=
loads
/usr/share/emacs/site-lisp/elpa/git-commit-2.90.1/git-commit hides
/usr/share/emacs/site-lisp/elpa-src/git-commit-2.90.1/git-commit
/usr/share/emacs/site-lisp/elpa/graphql-0.1.1/graphql hides
/usr/share/emacs/site-lisp/elpa-src/graphql-0.1.1/graphql
/usr/share/emacs/site-lisp/elpa/graphql-0.1.1/graphql-autoloads hides
/usr/share/emacs/site-lisp/elpa-src/graphql-0.1.1/graphql-autoloads
/usr/share/emacs/site-lisp/elpa/graphql-0.1.1/graphql-pkg hides
/usr/share/emacs/site-lisp/elpa-src/graphql-0.1.1/graphql-pkg
/usr/share/emacs/site-lisp/elpa/haskell-mode-16.1/haskell-commands
hides /usr/share/emacs/site-lisp/elpa-src/haskell-mode-16.1/haskell-command=
s
/usr/share/emacs/site-lisp/elpa/haskell-mode-16.1/haskell-font-lock
hides /usr/share/emacs/site-lisp/elpa-src/haskell-mode-16.1/haskell-font-lo=
ck
/usr/share/emacs/site-lisp/elpa/haskell-mode-16.1/haskell-mode-autoloads
hides /usr/share/emacs/site-lisp/elpa-src/haskell-mode-16.1/haskell-mode-au=
toloads
/usr/share/emacs/site-lisp/elpa/haskell-mode-16.1/haskell-unicode-input-met=
hod
hides /usr/share/emacs/site-lisp/elpa-src/haskell-mode-16.1/haskell-unicode=
-input-method
/usr/share/emacs/site-lisp/elpa/haskell-mode-16.1/haskell-session
hides /usr/share/emacs/site-lisp/elpa-src/haskell-mode-16.1/haskell-session
/usr/share/emacs/site-lisp/elpa/haskell-mode-16.1/haskell-c2hs hides
/usr/share/emacs/site-lisp/elpa-src/haskell-mode-16.1/haskell-c2hs
/usr/share/emacs/site-lisp/elpa/haskell-mode-16.1/haskell-sandbox
hides /usr/share/emacs/site-lisp/elpa-src/haskell-mode-16.1/haskell-sandbox
/usr/share/emacs/site-lisp/elpa/haskell-mode-16.1/haskell-repl hides
/usr/share/emacs/site-lisp/elpa-src/haskell-mode-16.1/haskell-repl
/usr/share/emacs/site-lisp/elpa/haskell-mode-16.1/ghc-core hides
/usr/share/emacs/site-lisp/elpa-src/haskell-mode-16.1/ghc-core
/usr/share/emacs/site-lisp/elpa/haskell-mode-16.1/w3m-haddock hides
/usr/share/emacs/site-lisp/elpa-src/haskell-mode-16.1/w3m-haddock
/usr/share/emacs/site-lisp/elpa/haskell-mode-16.1/haskell-process
hides /usr/share/emacs/site-lisp/elpa-src/haskell-mode-16.1/haskell-process
/usr/share/emacs/site-lisp/elpa/haskell-mode-16.1/haskell-mode-pkg
hides /usr/share/emacs/site-lisp/elpa-src/haskell-mode-16.1/haskell-mode-pk=
g
/usr/share/emacs/site-lisp/elpa/haskell-mode-16.1/haskell-ghc-support
hides /usr/share/emacs/site-lisp/elpa-src/haskell-mode-16.1/haskell-ghc-sup=
port
/usr/share/emacs/site-lisp/elpa/haskell-mode-16.1/ghci-script-mode
hides /usr/share/emacs/site-lisp/elpa-src/haskell-mode-16.1/ghci-script-mod=
e
/usr/share/emacs/site-lisp/elpa/haskell-mode-16.1/haskell-move-nested
hides /usr/share/emacs/site-lisp/elpa-src/haskell-mode-16.1/haskell-move-ne=
sted
/usr/share/emacs/site-lisp/elpa/haskell-mode-16.1/haskell-collapse
hides /usr/share/emacs/site-lisp/elpa-src/haskell-mode-16.1/haskell-collaps=
e
/usr/share/emacs/site-lisp/elpa/haskell-mode-16.1/haskell-complete-module
hides /usr/share/emacs/site-lisp/elpa-src/haskell-mode-16.1/haskell-complet=
e-module
/usr/share/emacs/site-lisp/elpa/haskell-mode-16.1/haskell-presentation-mode
hides /usr/share/emacs/site-lisp/elpa-src/haskell-mode-16.1/haskell-present=
ation-mode
/usr/share/emacs/site-lisp/elpa/haskell-mode-16.1/highlight-uses-mode
hides /usr/share/emacs/site-lisp/elpa-src/haskell-mode-16.1/highlight-uses-=
mode
/usr/share/emacs/site-lisp/elpa/haskell-mode-16.1/haskell-indentation
hides /usr/share/emacs/site-lisp/elpa-src/haskell-mode-16.1/haskell-indenta=
tion
/usr/share/emacs/site-lisp/elpa/haskell-mode-16.1/haskell-align-imports
hides /usr/share/emacs/site-lisp/elpa-src/haskell-mode-16.1/haskell-align-i=
mports
/usr/share/emacs/site-lisp/elpa/haskell-mode-16.1/haskell-indent hides
/usr/share/emacs/site-lisp/elpa-src/haskell-mode-16.1/haskell-indent
/usr/share/emacs/site-lisp/elpa/haskell-mode-16.1/haskell hides
/usr/share/emacs/site-lisp/elpa-src/haskell-mode-16.1/haskell
/usr/share/emacs/site-lisp/elpa/haskell-mode-16.1/haskell-customize
hides /usr/share/emacs/site-lisp/elpa-src/haskell-mode-16.1/haskell-customi=
ze
/usr/share/emacs/site-lisp/elpa/haskell-mode-16.1/haskell-interactive-mode
hides /usr/share/emacs/site-lisp/elpa-src/haskell-mode-16.1/haskell-interac=
tive-mode
/usr/share/emacs/site-lisp/elpa/haskell-mode-16.1/haskell-decl-scan
hides /usr/share/emacs/site-lisp/elpa-src/haskell-mode-16.1/haskell-decl-sc=
an
/usr/share/emacs/site-lisp/elpa/haskell-mode-16.1/haskell-string hides
/usr/share/emacs/site-lisp/elpa-src/haskell-mode-16.1/haskell-string
/usr/share/emacs/site-lisp/elpa/haskell-mode-16.1/haskell-navigate-imports
hides /usr/share/emacs/site-lisp/elpa-src/haskell-mode-16.1/haskell-navigat=
e-imports
/usr/share/emacs/site-lisp/elpa/haskell-mode-16.1/haskell-hoogle hides
/usr/share/emacs/site-lisp/elpa-src/haskell-mode-16.1/haskell-hoogle
/usr/share/emacs/site-lisp/elpa/haskell-mode-16.1/haskell-utils hides
/usr/share/emacs/site-lisp/elpa-src/haskell-mode-16.1/haskell-utils
/usr/share/emacs/site-lisp/elpa/haskell-mode-16.1/haskell-compile
hides /usr/share/emacs/site-lisp/elpa-src/haskell-mode-16.1/haskell-compile
/usr/share/emacs/site-lisp/elpa/haskell-mode-16.1/haskell-mode hides
/usr/share/emacs/site-lisp/elpa-src/haskell-mode-16.1/haskell-mode
/usr/share/emacs/site-lisp/elpa/haskell-mode-16.1/haskell-completions
hides /usr/share/emacs/site-lisp/elpa-src/haskell-mode-16.1/haskell-complet=
ions
/usr/share/emacs/site-lisp/elpa/haskell-mode-16.1/haskell-modules
hides /usr/share/emacs/site-lisp/elpa-src/haskell-mode-16.1/haskell-modules
/usr/share/emacs/site-lisp/elpa/haskell-mode-16.1/haskell-menu hides
/usr/share/emacs/site-lisp/elpa-src/haskell-mode-16.1/haskell-menu
/usr/share/emacs/site-lisp/elpa/haskell-mode-16.1/haskell-doc hides
/usr/share/emacs/site-lisp/elpa-src/haskell-mode-16.1/haskell-doc
/usr/share/emacs/site-lisp/elpa/haskell-mode-16.1/haskell-compat hides
/usr/share/emacs/site-lisp/elpa-src/haskell-mode-16.1/haskell-compat
/usr/share/emacs/site-lisp/elpa/haskell-mode-16.1/inf-haskell hides
/usr/share/emacs/site-lisp/elpa-src/haskell-mode-16.1/inf-haskell
/usr/share/emacs/site-lisp/elpa/haskell-mode-16.1/haskell-debug hides
/usr/share/emacs/site-lisp/elpa-src/haskell-mode-16.1/haskell-debug
/usr/share/emacs/site-lisp/elpa/haskell-mode-16.1/haskell-sort-imports
hides /usr/share/emacs/site-lisp/elpa-src/haskell-mode-16.1/haskell-sort-im=
ports
/usr/share/emacs/site-lisp/elpa/haskell-mode-16.1/haskell-lexeme hides
/usr/share/emacs/site-lisp/elpa-src/haskell-mode-16.1/haskell-lexeme
/usr/share/emacs/site-lisp/elpa/haskell-mode-16.1/haskell-cabal hides
/usr/share/emacs/site-lisp/elpa-src/haskell-mode-16.1/haskell-cabal
/usr/share/emacs/site-lisp/elpa/haskell-mode-16.1/haskell-load hides
/usr/share/emacs/site-lisp/elpa-src/haskell-mode-16.1/haskell-load
/usr/share/emacs/site-lisp/elpa/let-alist-1.0.5/let-alist-pkg hides
/usr/share/emacs/site-lisp/elpa-src/let-alist-1.0.5/let-alist-pkg
/usr/share/emacs/site-lisp/elpa/let-alist-1.0.5/let-alist-autoloads
hides /usr/share/emacs/site-lisp/elpa-src/let-alist-1.0.5/let-alist-autoloa=
ds
/usr/share/emacs/site-lisp/elpa/let-alist-1.0.5/let-alist hides
/usr/share/emacs/site-lisp/elpa-src/let-alist-1.0.5/let-alist
/usr/share/emacs/site-lisp/elpa/magit-2.90.1/magit-wip hides
/usr/share/emacs/site-lisp/elpa-src/magit-2.90.1/magit-wip
/usr/share/emacs/site-lisp/elpa/magit-2.90.1/magit-remote hides
/usr/share/emacs/site-lisp/elpa-src/magit-2.90.1/magit-remote
/usr/share/emacs/site-lisp/elpa/magit-2.90.1/magit-blame hides
/usr/share/emacs/site-lisp/elpa-src/magit-2.90.1/magit-blame
/usr/share/emacs/site-lisp/elpa/magit-2.90.1/magit-autoloads hides
/usr/share/emacs/site-lisp/elpa-src/magit-2.90.1/magit-autoloads
/usr/share/emacs/site-lisp/elpa/magit-2.90.1/magit-obsolete hides
/usr/share/emacs/site-lisp/elpa-src/magit-2.90.1/magit-obsolete
/usr/share/emacs/site-lisp/elpa/magit-2.90.1/magit-ediff hides
/usr/share/emacs/site-lisp/elpa-src/magit-2.90.1/magit-ediff
/usr/share/emacs/site-lisp/elpa/magit-2.90.1/magit-core hides
/usr/share/emacs/site-lisp/elpa-src/magit-2.90.1/magit-core
/usr/share/emacs/site-lisp/elpa/magit-2.90.1/magit-push hides
/usr/share/emacs/site-lisp/elpa-src/magit-2.90.1/magit-push
/usr/share/emacs/site-lisp/elpa/magit-2.90.1/magit-process hides
/usr/share/emacs/site-lisp/elpa-src/magit-2.90.1/magit-process
/usr/share/emacs/site-lisp/elpa/magit-2.90.1/magit-log hides
/usr/share/emacs/site-lisp/elpa-src/magit-2.90.1/magit-log
/usr/share/emacs/site-lisp/elpa/magit-2.90.1/magit-git hides
/usr/share/emacs/site-lisp/elpa-src/magit-2.90.1/magit-git
/usr/share/emacs/site-lisp/elpa/magit-2.90.1/magit-apply hides
/usr/share/emacs/site-lisp/elpa-src/magit-2.90.1/magit-apply
/usr/share/emacs/site-lisp/elpa/magit-2.90.1/magit-clone hides
/usr/share/emacs/site-lisp/elpa-src/magit-2.90.1/magit-clone
/usr/share/emacs/site-lisp/elpa/magit-2.90.1/magit-collab hides
/usr/share/emacs/site-lisp/elpa-src/magit-2.90.1/magit-collab
/usr/share/emacs/site-lisp/elpa/magit-2.90.1/magit-tag hides
/usr/share/emacs/site-lisp/elpa-src/magit-2.90.1/magit-tag
/usr/share/emacs/site-lisp/elpa/magit-2.90.1/magit-margin hides
/usr/share/emacs/site-lisp/elpa-src/magit-2.90.1/magit-margin
/usr/share/emacs/site-lisp/elpa/magit-2.90.1/magit-bisect hides
/usr/share/emacs/site-lisp/elpa-src/magit-2.90.1/magit-bisect
/usr/share/emacs/site-lisp/elpa/magit-2.90.1/magit-reset hides
/usr/share/emacs/site-lisp/elpa-src/magit-2.90.1/magit-reset
/usr/share/emacs/site-lisp/elpa/magit-2.90.1/magit-repos hides
/usr/share/emacs/site-lisp/elpa-src/magit-2.90.1/magit-repos
/usr/share/emacs/site-lisp/elpa/magit-2.90.1/magit-pkg hides
/usr/share/emacs/site-lisp/elpa-src/magit-2.90.1/magit-pkg
/usr/share/emacs/site-lisp/elpa/magit-2.90.1/git-rebase hides
/usr/share/emacs/site-lisp/elpa-src/magit-2.90.1/git-rebase
/usr/share/emacs/site-lisp/elpa/magit-2.90.1/magit-bookmark hides
/usr/share/emacs/site-lisp/elpa-src/magit-2.90.1/magit-bookmark
/usr/share/emacs/site-lisp/elpa/magit-2.90.1/magit-mode hides
/usr/share/emacs/site-lisp/elpa-src/magit-2.90.1/magit-mode
/usr/share/emacs/site-lisp/elpa/magit-2.90.1/magit-worktree hides
/usr/share/emacs/site-lisp/elpa-src/magit-2.90.1/magit-worktree
/usr/share/emacs/site-lisp/elpa/magit-2.90.1/magit-imenu hides
/usr/share/emacs/site-lisp/elpa-src/magit-2.90.1/magit-imenu
/usr/share/emacs/site-lisp/elpa/magit-2.90.1/magit-notes hides
/usr/share/emacs/site-lisp/elpa-src/magit-2.90.1/magit-notes
/usr/share/emacs/site-lisp/elpa/magit-2.90.1/magit-sequence hides
/usr/share/emacs/site-lisp/elpa-src/magit-2.90.1/magit-sequence
/usr/share/emacs/site-lisp/elpa/magit-2.90.1/magit-stash hides
/usr/share/emacs/site-lisp/elpa-src/magit-2.90.1/magit-stash
/usr/share/emacs/site-lisp/elpa/magit-2.90.1/magit-status hides
/usr/share/emacs/site-lisp/elpa-src/magit-2.90.1/magit-status
/usr/share/emacs/site-lisp/elpa/magit-2.90.1/magit-fetch hides
/usr/share/emacs/site-lisp/elpa-src/magit-2.90.1/magit-fetch
/usr/share/emacs/site-lisp/elpa/magit-2.90.1/magit-section hides
/usr/share/emacs/site-lisp/elpa-src/magit-2.90.1/magit-section
/usr/share/emacs/site-lisp/elpa/magit-2.90.1/magit hides
/usr/share/emacs/site-lisp/elpa-src/magit-2.90.1/magit
/usr/share/emacs/site-lisp/elpa/magit-2.90.1/magit-utils hides
/usr/share/emacs/site-lisp/elpa-src/magit-2.90.1/magit-utils
/usr/share/emacs/site-lisp/elpa/magit-2.90.1/magit-gitignore hides
/usr/share/emacs/site-lisp/elpa-src/magit-2.90.1/magit-gitignore
/usr/share/emacs/site-lisp/elpa/magit-2.90.1/magit-merge hides
/usr/share/emacs/site-lisp/elpa-src/magit-2.90.1/magit-merge
/usr/share/emacs/site-lisp/elpa/magit-2.90.1/magit-patch hides
/usr/share/emacs/site-lisp/elpa-src/magit-2.90.1/magit-patch
/usr/share/emacs/site-lisp/elpa/magit-2.90.1/magit-autorevert hides
/usr/share/emacs/site-lisp/elpa-src/magit-2.90.1/magit-autorevert
/usr/share/emacs/site-lisp/elpa/magit-2.90.1/magit-extras hides
/usr/share/emacs/site-lisp/elpa-src/magit-2.90.1/magit-extras
/usr/share/emacs/site-lisp/elpa/magit-2.90.1/magit-refs hides
/usr/share/emacs/site-lisp/elpa-src/magit-2.90.1/magit-refs
/usr/share/emacs/site-lisp/elpa/magit-2.90.1/magit-commit hides
/usr/share/emacs/site-lisp/elpa-src/magit-2.90.1/magit-commit
/usr/share/emacs/site-lisp/elpa/magit-2.90.1/magit-files hides
/usr/share/emacs/site-lisp/elpa-src/magit-2.90.1/magit-files
/usr/share/emacs/site-lisp/elpa/magit-2.90.1/magit-branch hides
/usr/share/emacs/site-lisp/elpa-src/magit-2.90.1/magit-branch
/usr/share/emacs/site-lisp/elpa/magit-2.90.1/magit-subtree hides
/usr/share/emacs/site-lisp/elpa-src/magit-2.90.1/magit-subtree
/usr/share/emacs/site-lisp/elpa/magit-2.90.1/magit-pull hides
/usr/share/emacs/site-lisp/elpa-src/magit-2.90.1/magit-pull
/usr/share/emacs/site-lisp/elpa/magit-2.90.1/magit-submodule hides
/usr/share/emacs/site-lisp/elpa-src/magit-2.90.1/magit-submodule
/usr/share/emacs/site-lisp/elpa/magit-2.90.1/magit-diff hides
/usr/share/emacs/site-lisp/elpa-src/magit-2.90.1/magit-diff
/usr/share/emacs/site-lisp/elpa/magit-popup-2.12.5/magit-popup hides
/usr/share/emacs/site-lisp/elpa-src/magit-popup-2.12.5/magit-popup
/usr/share/emacs/site-lisp/elpa/magit-popup-2.12.5/magit-popup-autoloads
hides /usr/share/emacs/site-lisp/elpa-src/magit-popup-2.12.5/magit-popup-au=
toloads
/usr/share/emacs/site-lisp/elpa/magit-popup-2.12.5/magit-popup-pkg
hides /usr/share/emacs/site-lisp/elpa-src/magit-popup-2.12.5/magit-popup-pk=
g
/usr/share/emacs/site-lisp/elpa/treepy-0.1.1/treepy-autoloads hides
/usr/share/emacs/site-lisp/elpa-src/treepy-0.1.1/treepy-autoloads
/usr/share/emacs/site-lisp/elpa/treepy-0.1.1/treepy hides
/usr/share/emacs/site-lisp/elpa-src/treepy-0.1.1/treepy
/usr/share/emacs/site-lisp/elpa/treepy-0.1.1/treepy-pkg hides
/usr/share/emacs/site-lisp/elpa-src/treepy-0.1.1/treepy-pkg
/usr/share/emacs/site-lisp/elpa/with-editor-2.6.0/with-editor-autoloads
hides /usr/share/emacs/site-lisp/elpa-src/with-editor-2.6.0/with-editor-aut=
oloads
/usr/share/emacs/site-lisp/elpa/with-editor-2.6.0/with-editor-pkg
hides /usr/share/emacs/site-lisp/elpa-src/with-editor-2.6.0/with-editor-pkg
/usr/share/emacs/site-lisp/elpa/with-editor-2.6.0/with-editor hides
/usr/share/emacs/site-lisp/elpa-src/with-editor-2.6.0/with-editor
/usr/share/emacs/site-lisp/latex-cjk-thai/thai-word hides
/usr/share/emacs/26.1/lisp/language/thai-word
/usr/share/emacs/site-lisp/elpa/let-alist-1.0.5/let-alist hides
/usr/share/emacs/26.1/lisp/emacs-lisp/let-alist

Features:
(shadow mail-extr emacsbug sendmail ruler-mode hl-line hexl dcl-mode
tempo term/xterm xterm repeat bat-mode ox-odt ox-latex ox-icalendar
ox-html ox-ascii ox-publish ox thai-util thai-word magit-ediff
ediff-merg ediff-wind ediff-diff ediff-mult ediff-help ediff-init
ediff-util ediff calc-forms calc-alg calc-ext calc-menu calc
calc-loaddefs calc-macs dired-x editorconfig-conf-mode magit-subtree
rng-xsd xsd-regexp rng-cmpct nxml-mode-expansions rng-nxml rng-valid
rng-loc rng-uri rng-parse nxml-parse rng-match rng-dt rng-util rng-pttrn
nxml-ns nxml-mode nxml-outln nxml-rap nxml-util nxml-enc xmltok timezone
w3m-hist w3m-e21 w3m-ccl ccl w3m-fsf w3m-favicon w3m-image w3m-proc
w3m-util webjump sort iso-transl ffap url-file url-dired markdown-mode
autoconf autoconf-mode magit-gitignore tabify man apropos wdired
parseclj-ast smartparens-markdown smartparens-text smartparens-ruby
autoload mm-archive pp cus-edit cus-start cus-load url-cache tramp-cache
cl-print debug disp-table whitespace tar-mode tex-mode latexenc
python-el-fgallina-expansions python cider-selector cider-scratch
arc-mode archive-mode cider-find pkg-info epl network-stream starttls
eieio-opt git-rebase help-fns radix-tree novice magit-extras
bug-reference mhtml-mode flyspell ispell org-rmail org-mhe org-irc
org-info org-gnus nnir org-docview org-bibtex bibtex org-bbdb org-w3m
conf-mode dired-aux misearch multi-isearch vc-git sh-script executable
editorconfig-core editorconfig-core-handle editorconfig-fnmatch ibuf-ext
ibuffer ibuffer-loaddefs fringemark doc-view jka-compr image-mode
gnus-async nntp gnus-sum gnus-group gnus-undo gnus-start gnus-cloud
nnimap nnmail mail-source utf7 netrc nnoo gnus-spec gnus-int gnus-range
gnus-win org-mobile org-agenda org-install w3m-load paren saveplace ido
table delsel grep editorconfig helm helm-source eieio-compat
helm-multi-match helm-lib sass-mode haml-mode js-mode-expansions js
css-mode-expansions css-mode html-mode-expansions sgml-mode eww mm-url
gnus nnheader wid-edit url-queue shr svg xml dom browse-url
ruby-mode-expansions ruby-mode cider tramp-sh cider-debug
cider-inspector cider-browse-ns cider-mode cider-completion
cider-profile cider-eval cider-repl-history pulse cider-repl
cider-resolve cider-test cider-overlays cider-stacktrace cider-doc
cider-browse-spec org-table org-element avl-tree generator
the-org-mode-expansions org org-macro org-footnote org-pcomplete
org-list org-faces org-entities noutline outline org-version
ob-emacs-lisp ob ob-tangle org-src ob-ref ob-lob ob-table ob-keys ob-exp
ob-comint ob-core ob-eval org-compat org-macs org-loaddefs cal-menu
calendar cal-loaddefs cider-grimoire cider-popup cider-eldoc
cider-client cider-common cider-util color cider-connection
sesman-browser nrepl-client tramp tramp-compat tramp-loaddefs trampver
ucs-normalize parse-time queue nrepl-dict cider-compat spinner parseedn
parseclj-parser parseclj-lex a auto-complete popup gtags php-mode
php-project mode-local find-func speedbar sb-image ezimage dframe etags
xref flymake-proc flymake warnings cc-langs cc-mode-expansions cc-mode
cc-fonts cc-guess cc-menus cc-cmds cc-styles cc-align cc-engine cc-vars
cc-defs php-face php on-screen ace-jump-mode cl yasnippet elec-pair
sml-mode-expansions sml-mode compile smie expand-region
text-mode-expansions clojure-mode-expansions er-basic-expansions
expand-region-core expand-region-custom multiple-cursors
mc-hide-unmatched-lines-mode mc-separate-operations
rectangular-region-mode mc-mark-pop mc-mark-more mc-cycle-cursors
mc-edit-lines multiple-cursors-core rect rainbow-delimiters smartparens
thingatpt paredit sesman vc vc-dispatcher clojure-mode project lisp-mnt
subr-x align undo-tree diff enclose edmacro kmacro magit-submodule
magit-obsolete magit-blame magit-stash magit-bisect magit-push
magit-pull magit-fetch magit-clone magit-remote magit-commit
magit-sequence magit-notes magit-worktree magit-tag magit-merge
magit-branch magit-reset magit-collab ghub-graphql treepy graphql pcase
ghub url-http tls gnutls url-gw nsm url-auth url url-proxy url-privacy
url-expand url-methods url-history url-cookie url-domsuf url-util
mailcap let-alist json map magit-files magit-refs magit-status magit
magit-repos magit-apply magit-wip magit-log which-func imenu magit-diff
smerge-mode diff-mode magit-core magit-autorevert autorevert filenotify
magit-process magit-margin magit-mode git-commit magit-git magit-section
magit-utils magit-popup crm log-edit easy-mmode message rmc puny dired
dired-loaddefs format-spec rfc822 mml mml-sec epa derived epg gnus-util
rmail rmail-loaddefs time-date mm-decode mm-bodies mm-encode mail-parse
rfc2231 rfc2047 rfc2045 mm-util ietf-drums mail-prsvr mailabbrev
mail-utils gmm-utils mailheader pcvs-util add-log with-editor cl-extra
help-mode async-bytecomp advice async shell pcomplete comint ansi-color
ring server dash finder-inf info rx package easymenu epg-config
url-handlers url-parse auth-source cl-seq eieio eieio-core cl-macs
eieio-loaddefs password-cache url-vars seq byte-opt gv bytecomp
byte-compile cconv cl-loaddefs cl-lib erlang-start mule-util tooltip
eldoc electric uniquify ediff-hook vc-hooks lisp-float-type mwheel
term/x-win x-win term/common-win x-dnd tool-bar dnd fontset image
regexp-opt fringe tabulated-list replace newcomment text-mode elisp-mode
lisp-mode prog-mode register page menu-bar rfn-eshadow isearch timer
select scroll-bar mouse jit-lock font-lock syntax facemenu font-core
term/tty-colors frame cl-generic cham georgian utf-8-lang misc-lang
vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms cp51932
hebrew greek romanian slovak czech european ethiopic indian cyrillic
chinese composite charscript charprop case-table epa-hook jka-cmpr-hook
help simple abbrev obarray minibuffer cl-preloaded nadvice loaddefs
button faces cus-face macroexp files text-properties overlay sha1 md5
base64 format env code-pages mule custom widget hashtable-print-readable
backquote dbusbind inotify lcms2 dynamic-setting system-font-setting
font-render-setting move-toolbar gtk x-toolkit x multi-tty
make-network-process emacs)

Memory information:
((conses 16 1432347 1227349)
 (symbols 48 89818 0)
 (miscs 40 8985 8359)
 (strings 32 329044 135987)
 (string-bytes 1 22119338)
 (vectors 16 130522)
 (vector-slots 8 3038737 167354)
 (floats 8 731 3073)
 (intervals 56 75576 3438)
 (buffers 992 292))




Acknowledgement sent to Axel Svensson <mail@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#37530; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 27 Sep 2019 15:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.